Welcome

Hyperion Analyzer 6.5 API Toolkit Developer's Guide

Navigate this online help file using the Table of Contents, the Index tab or one of the hyperlinks below.  At the bottom of every topic is a list of related information.  The following information is included in this documentation:

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Hyperion Analyzer API Toolkit Overview

Deliverables

Classes

API Parameters

Methodology

Deprecated Features

Methods Overview

Properties Overview

Actions Overview

API Toolkit Samples Overview

Administration Client API Toolkit Overview


What Hyperion Analyzer Does

Hyperion Analyzer enables organizations around the world to turn raw data into valuable business information.

Hyperion Analyzer enables the user to analyze sophisticated multidimensional and relational data in an easy-to-use graphical interface.  This empowers business people to explore enterprise data for growth and profit opportunities, to uncover emerging problems, and to test solutions before implementing them.

Hyperion Analyzer provides a set of advanced analysis tools, and enables the user to leverage Hyperion Essbase server features simultaneously.  Users can also retrieve and analyze relational data using analysis tools.

Analysis reports can be distributed internally and externally, saved as HTML Web content, and referenced using URLs.

Related Topics

Hyperion Analyzer Product Components

Architectural Overview

Related Documentation

Technical Support

Copyright Information

Hyperion Analyzer API Toolkit Overview

Return to Welcome


Hyperion Analyzer Product Components

Hyperion Analyzer is a product that consists of several components:

•	Four client applications

•	An analysis server

•	A repository

•	An API Toolkit

The repository centrally stores Hyperion Analyzer system data, user IDs, user preferences and report definitions in relational database tables.

The Hyperion Analyzer Analysis Server communicates report definitions and system information between the repository, Web clients, and Hyperion Analyzer Administration Tools.

The Hyperion Analyzer Administration Client provides a Java graphical interface for managing users, user groups, and database connections using a supported Web browser.  It also provides access to several administration utilities.

The Hyperion Analyzer Java Web Client is an easy-to-use graphical interface that enables online analysis of both Hyperion Essbase and relational data.  Users can design and format custom analysis applications without "coding."  Hyperion Analyzer is commonly used to conduct sales, key performance, financial and forecasting analyses.

The Hyperion Analyzer Windows Client is the same easy-to-use Java Web Client interface and functionality delivered as a Java application for supported Microsoft Windows operating systems.

The Hyperion Analyzer HTML Web Client is an HTML thin client used by way of a supported Web browser.  It is engineered for information consumers who do not require advanced design and content-creation capabilities.

You can incorporate the Hyperion Analyzer Java Web Client and Administration Client look and feel and functionality into their own custom Web applications using the Hyperion Analyzer API Toolkit.

Related Topics

What Hyperion Analyzer Does

Architectural Overview

Related Documentation

Technical Support

Copyright Information

Hyperion Analyzer API Toolkit Overview

Return to Welcome


Architectural Overview

Hyperion Analyzer functionality is distributed across a multi-tiered architecture:

•	Client layer

•	Mid-tier layer

•	Database server layer

The client layer refers to the four clients and the API Toolkit.  All clients communicate with the rest of the Hyperion Analyzer system using Hypertext Transmission Protocol (HTTP).

The mid-tier layer includes:

•	The Web server

•	The J2EE Application Server

•	The Hyperion Analyzer Analysis Server

•	Drivers and protocols for communicating with the database server layer

The database server layer supports and shares both OLAP and relational databases, and the relational Hyperion Analyzer repository.

A supported Web server is required to present the Web page from which Web clients are launched, to deliver files containing Java components, and to transport images generated at run time.  After clients are established, the Web server manages all client mid-tier HTTP communication.

Hyperion Analyzer has been restructured to run inside leading J2EE-compliant application servers.  The supported J2EE Application Server shares Hyperion Analyzer business logic, manages network traffic, maintains system security for large numbers of concurrent users, and provides scalability and stability through load balancing and fault tolerance.

Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Related Documentation

Technical Support

Copyright Information

Hyperion Analyzer API Toolkit Overview

Return to Welcome


Related Documentation

The Hyperion Analyzer documentation set includes:

Product Documentation

Hyperion Analyzer Readme contains a comprehensive list of new features, fixes and late-breaking product developments.

The Hyperion Analyzer Information Map lists and describes all Hyperion Analyzer documentation and its location.

Hyperion Analyzer Getting Started describes the family of Hyperion Analyzer products, relates terminology central to multidimensional analysis, explains application fundamentals and graphical user interfaces, and leads the user through the creation of their first report using the Hyperion Analyzer Java Web Client.

Client Online Help

Hyperion Analyzer Java Web Client Online Help provides detailed information about navigation, report creation, and advanced Java Web Client topics.

Hyperion Analyzer HTML Web Client Online Help describes navigation, report creation and the features specific to the Hyperion Analyzer HTML Web client.

Documents for Administrators

The Hyperion Analyzer Installation Guide describes Microsoft Windows and UNIX installation options, and system requirements.  It summarizes the installation process and information essential to installing and configuring Hyperion Analyzer.  This guide includes procedures for establishing a Hyperion Analyzer repository.  It also includes troubleshooting and procedures for installing and uninstalling Hyperion Analyzer samples.

The Hyperion Analyzer Administrator's Guide describes product features essential to administrators.

Hyperion Analyzer Administration Tools Online Help explains the management of roles, users, user groups, and database connections, as well as provides online help for Hyperion Analyzer Analysis Server administration.

Documents for Developers

The Hyperion Analyzer API Toolkit Developer's Guide (this guide) is an online guide providing detailed information for incorporating Hyperion Analyzer Web technology into custom Web applications.

Ordering Documentation

A complete set of documentation is included on the CD in PDF and HTML format.

For information on ordering printed documentation:

•	Visit the Hyperion Web site at www.hyperion.com

•	In the United States, call Hyperion Solutions Customer Support at (877) 901-4975.

•	From outside the United States, including Canada, call Hyperion Solutions Customer Support, in the U.S.A at (203) 703-3600.  Clients who are not serviced by support from North America should call their local support centers.

Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Technical Support

Copyright Information

Hyperion Analyzer API Toolkit Overview

Return to Welcome


Technical Support

Hyperion provides Web-based and telephone support to ensure that client resolve product issues quickly and accurately.  This support is available for all Hyperion products at no additional cost to clients with a current maintenance agreement.

•	For Web-based support, or to see complete information on available support options, visit the Hyperion Web site at http://www.Hyperion.com.

•	In the United States, call Hyperion Solutions Customer Support at (877) 901-4975.

•	From outside the United States, including Canada, call Hyperion Solutions Customer Support, in the U.S.A. at (203) 703-3600.  Clients who are not serviced by support from North America should call their local support centers.

Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Related Documentation

Copyright Information

Hyperion Analyzer API Toolkit Overview

Return to Welcome


Copyright Information

© Copyright 1995-2003 Hyperion Solutions Corporation.  All rights reserved.

Hyperion, Essbase, and the "H" logo are registered trademarks, and Hyperion Solutions is a trademark of Hyperion Solutions Corporation.

All other brand and product names are trademarks or registered trademarks of their respective holders.

No portion of this manual may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopying, recording, or information storage and retrieval systems, for any purpose other than the purchaser's personal use, without the express written permission of Hyperion Solutions Corporation.

Notice:  The information contained in this document is subject to change without notice.  Hyperion Solutions Corporation shall not be liable for errors contained herein or consequential damages in connection with the furnishing, performance, or use of this material.

Hyperion Solutions Corporation
1344 Crossman Avenue
Sunnyvale, CA 94089 USA

Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Related Documentation

Technical Support

Hyperion Analyzer API Toolkit Overview

Return to Welcome


Hyperion Analyzer API Toolkit Overview

You can incorporate the Hyperion Analyzer Java Web Client look and feel and functionality into their own custom Web applications using the Hyperion Analyzer API Toolkit.

Deliverables

Hyperion Analyzer API Toolkit is provided as four (4) deliverables.

These deliverable files furnish fundamental classes.

API Parameters

API Parameters affect the operation of instantiated objects.

Behavior

The behavior of API Toolkit objects is defined using methods, properties, and actions.

Error Codes

An index of common error codes is provided. In actual usage, when an error has occurred the Error Text is returned, not an Error Code. This provides more meaningful error handling.

Methodology

See Methodology for important tips about using the API Toolkit.

Hyperion Analyzer API Toolkit conforms to the larger Hyperion® Analytic Data Model (ADM) specification.

Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Deliverables

Classes

Platforms

API Parameters

Methodology

Error Codes

Deprecated Features

Methods Overview

Properties Overview

Actions Overview

Return to Welcome


Deliverables

The Hyperion Analyzer API Toolkit consists of four deliverables:

Table: Hyperion Analyzer API Toolkit Deliverables

Deliverable	Description
analyzerclient.jar	A client side deliverable of Hyperion Analyzer Java Web Client classes
appserver.jar	A server side deliverable of application server classes
server.jar	A server side deliverable of server classes
utils.jar	A server side deliverable of utilities classes
mail.jar	A server side deliverable of  classes
activation.jar	A server side deliverable of  classes
The Sun Microsystems Java Plug-in requires classes to be delivered in .JAR format.

Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Hyperion Analyzer API Toolkit Overview

Classes

Platforms

API Parameters

Methodology

Error Codes

Deprecated Features

Methods Overview

Properties Overview

Actions Overview

Return to Welcome


Classes

The analyzerclient.jar client-side deliverable contains the APIClient class.

These file names are the archive parameter string value and code parameter string value respectively.

Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Hyperion Analyzer API Toolkit Overview

Deliverables

Platforms

API Parameters

Methodology

Error Codes

Deprecated Features

Methods Overview

Properties Overview

Actions Overview

Return to Welcome


Platforms

Hyperion Analyzer is created in Java; providing cross-platform support and increased scalability (J2EE).  Hyperion Analyzer does not provide a COM interface to the API Toolkit.

Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Hyperion Analyzer API Toolkit Overview

Deliverables

Classes

API Parameters

Methodology

Error Codes

Deprecated Features

Methods Overview

Properties Overview

Actions Overview

Return to Welcome


API Parameters

API parameters affect the operation of the API object, whatever its form, function, or location.  Some API parameters originate from the Hyperion Analyzer Java Web Client applet, and some are API Toolkit-specific.

NOTE: Not all of the available parameters are listed here. To identify the parameters on a page it will be necessary to run getProperty.

API Parameters

Table:  API Parameters

API Parameter	Description
Hyperion Analyzer
Debug	When set to TRUE, the Debug Boolean string value (TRUE/FALSE) enables API objects to report debugging information to the Java-based Hyperion Analyzer Analysis Server console.  The default value is FALSE.
FrameHeight	The FrameHeight string value is the height in pixels of the Hyperion Analyzer frame.
FrameWidth	The FrameWidth string value is the width in pixels of the Hyperion Analyzer frame.
HideConfirmDialog	When set to TRUE, the HideConfirmDialog string value hides confirmation dialog boxes.  The default value is FALSE.
HideErrorDialog	When set to TRUE, the HideErrorDialog string value hides error dialog boxes.  The default value is FALSE.
Password	The string value of a valid password.
ServerURL	The ServerURL string value is the targeted Hyperion Analyzer Analysis Server name or IP address.  When no value is set, the API Toolkit attempts to locate a Hyperion Analyzer Analysis Server console.  The default value is FALSE.
UseFrame	When set to TRUE, the UseFrame string value displays the applet in an independent window instead of in the Web browser interface.  The default value is TRUE.
UserID	The string value of a valid user ID.  Used with the password parameter to prompt automatic login.  All required parameters must be provided to trigger automatic login.
API Toolkit
ContinuousUpdate	When set to TRUE (default), as data is entered into the Administration client, the screen is refreshed automatically.  If set to FALSE a refresh does not occur until the user executes a refresh from the right-click menu. This parameter applies to the Admin API only.
SupportAPISplitFix	Hyperion Analyzer supports frame splits for combination and custom reports, when set to TRUE, the parameter prevents critical errors occurring in some instances when using a Java plugin up to and including version 1.3.0_02
SupportResolveMember	When set to TRUE, the Hyperion Analyzer Java Web Client validates member parameters against the Hyperion Essbase outline, before executing the API method.  When set to FALSE the Hyperion Analyzer Java Web Client validates only member IDs, but does not validate aliases verbatim (for the purpose of expediting processing).  The default value is TRUE.
SupportUndo	When set to TRUE, the SupportUndo string value enables undo and redo capability for applicable API events. Caution: This parameter slows application processing.  The default value is FALSE.
Setting API Parameters

There are two ways of setting API parameters:

•	The setPropertyValueString() method can set the value of a specified API parameter.

•	In the Admin API, you can use setProperty().

•	Developers have the option of using the HTML <PARAM> tag to set API parameters.

Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Hyperion Analyzer API Toolkit Overview

Deliverables

Classes

Platforms

Methodology

Error Codes

Deprecated Features

Methods Overview

Properties Overview

Actions Overview

Return to Welcome


Methodology

For the best results using the Hyperion Analyzer API Toolkit and the Administration Client API Toolkit, please observe the following practices:

•	All indexes and cell specifications are zero-based.

•	Although string comparisons are not case-sensitive, property and action names are case-sensitive. Maintain case conventions on both client and server platforms.

•	The API Toolkit is based on technologically independent, open standards.

•	The Debug and SupportUndo API parameters place additional demands on processing, and as a result may slow performance times.

Important!

Because overloaded functions are not supported, methods require a fixed number of parameters.  Get methods require three (3) parameters, and set and run methods require five (5) parameters.  Empty strings are used to satisfy unused arguments.

Analyzer API Example:

The BuildVersion Property syntax is:

getPropertyValueString("BuildVersion")

Because this get method requires three (3) parameters, you will code:

getPropertyValueString("BuildVersion" ,"","");

Note the inclusion of the empty strings to satisfy unused arguments.

Administration Client API Example:

The BuildVersion Property syntax is:

getProperty("BuildVersion")

Because this get method requires three (3) parameters, you will code:

getProperty("BuildVersion" ,"","");

Note the inclusion of the empty strings to satisfy unused arguments.

Returned Values

•	Run methods either fail or are successful. 0 indicates success, and -1 indicates failure.

•	In a Boolean return, One (1) indicates TRUE.  Zero (0) indicates FALSE.

•	Get methods can return integers and strings equivalent to error codes, zero(0), one (1), negative one (-1), an assigned integer for a specified value, or an actual property value.

•	A complete list of error code integers can be returned for the API Client, the Admin Client returns the actual error text.

Online Help Support

GUI objects use relative paths to access online help .HTML files.  You must situate their applications using an identical structure to the Hyperion Analyzer Java Web Client Help subdirectory, or hard code their own links to individual .HTML help topics.

Important!

As with all APIs, you are cautioned against employing undocumented features in their code.

Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Hyperion Analyzer API Toolkit Overview

Deliverables

Classes

Platforms

API Parameters

Error Codes

Deprecated Features

Methods Overview

Properties Overview

Actions Overview

Return to Welcome


Error Codes

The table lists the Client API Error Codes and the associated Error Text.  The Admin API utilizes the same Error Text, but not the Error Codes.

Table:  Hyperion Analyzer Error Codes and Error Text

Error Code	Error Text
0	Unknown error.
1	Invalid method.
2	Invalid action.
3	Invalid property.
4	Invalid index.
5	Too few parameters.
6	Invalid number.
7	Invalid Boolean.
8	No user logged in.
9	No current report group.
10	No current report.
11	No traffic lighting defined.
12	No current page.
13	No current dimension.
14	No current cell.
15	Invalid database.
16	Invalid report.
17	Invalid report group.
18	Invalid axis.
19	Invalid page.
20	Invalid dimension.
21	Invalid dimension location.
22	Invalid dimension member.
23	Invalid selection mode.
24	Invalid display type.
25	Invalid direction.
26	Invalid user preference.
27	Dialog cancelled by user.
28	This report has not been saved.
29	Login failed.
30	Another dialog box is currently displayed.
31	This report does not have pages.
32	XML does not match Document Type Definition (DTD).
33	Invalid user permission.
34	Invalid axis dimension members for traffic lighting definition.
35	Application is in Design Report mode and requested function is not available.
36	Application is not in Edit Data mode.
37	Invalid report.
Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Hyperion Analyzer API Toolkit Overview

Deliverables

Classes

Platforms

API Parameters

Methodology

Deprecated Features

Methods Overview

Properties Overview

Actions Overview

Return to Welcome


Deprecated Features

Product rerestructuring and improvement have rendered the following API Toolkit components (from releases 5, 5.0.1, 5.0.2, 5.0.3, 6.0, and 6.1) obsolete:

Deprecated API Parameters

Connection

CreateAPI

CGIURL

DBNameN

DBSubstitutionN

EWS

EWSURL

HandleLogins

Port

ServerIP

ServerVersion

ShowErrors

ShowStatus

Splash

TmpImageDirURL

UseCGI

UseEWS

ViewOnly

Deprecated Methods

UpdateParams

Deprecated Properties

Connected

ClonedSessionHandle

SessionHandle

ViewGroupOwner

ViewOwner

WarehouseDimension

WarehouseDimensionCount

ServerStats

Deprecated Actions

Connect

CloneSession

Disconnect

Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Hyperion Analyzer API Toolkit Overview

Deliverables

Classes

Platforms

API Parameters

Methodology

Error Codes

Methods Overview

Properties Overview

Actions Overview

Return to Welcome


Methods Overview

Methods execute the work of Hyperion Analyzer API Toolkit objects and applets.

Method Signatures

The API Toolkit methods contain the name of the property, the number of parameters, and the type of parameters that define the purpose of the method.  The method signature or syntax, which is written in Java, supports javascript as the primary interface constuctor.

Methods

Table:  Hyperion Analyzer API Toolkit Methods

Method	Description
getPropertyValueInt()	Returns the integer value of the specified property.
getPropertyValueString()	Returns the string value of the specified property.
setPropertyValueString()	Sets the string value of the specified property.
run()	Executes the specified action using the provided parameters.
Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Hyperion Analyzer API Toolkit Overview

Deliverables

Classes

Platforms

API Parameters

Methodology

Error Codes

Deprecated Features

Properties Overview

Actions Overview

Return to Welcome


getPropertyValueInt()

Syntax

getPropertyValueInt(String PropertyName, String parameter1, String parameter2);

Parameters

PropertyName:  a specified property.

Return Value

The value of the property - indicates success

-1 - indicates failure

Description

The getPropertyValueInt property returns the integer value of the specified property using the provided parameters.  Use the ErrorCode property to determine whether the integer value is in fact zero (0).

Related Topics

Methods Overview

getPropertyValueString()

setPropertyValueString()

run()

Hyperion Analyzer API Toolkit Overview

Properties Overview

Actions Overview

Return to Welcome


getPropertyValueString()

Syntax

getPropertyValueString(String PropertyName, String parameter1, String parameter2);

Parameters

PropertyName:  a specified property.

Return Value

The value of the property - indicates success

-1 - indicates failure

Description

The getPropertyValueString() property returns the string value of the specified property using the provided parameters.  Use the ErrorCode property to determine whether the string value is in fact zero (0).

Related Topics

Methods Overview

getPropertyValueInt()

setPropertyValueString()

run()

Hyperion Analyzer API Toolkit Overview

Properties Overview

Actions Overview

Return to Welcome


setPropertyValueString()

Syntax

setPropertyValueString(String PropertyName, String value1, String value2, String value3, String value4);

Parameters

PropertyName:  a specified property.

Value1, value2, and so on: values to which the specified property will be set.

Return Value

0 – indicates success

-1 - indicates failure

Description

The setPropertyValueString() method sets the specified property to the values indicated by the value1, value2, value3, and value4 parameters.  Use the ErrorCode property to determine the nature of the failure.

Related Topics

Methods Overview

getPropertyValueInt()

getPropertyValueString()

run()

Hyperion Analyzer API Toolkit Overview

Properties Overview

Actions Overview

Return to Welcome


run()

Syntax

run(String action, String parameter1, String parameter2, String parameter3, String parameter4);

Parameters

Action: A specified action.

Parameter1, parameter2, parameter3, and parameter4: parameters with which to execute the specified action.

Return Value

0 – indicates success

-1 - indicates failure

Description

The run() method executes the specified action using the provided parameters.  Use the ErrorCode property to determine the nature of the failure.

Related Topics

Methods Overview

getPropertyValueInt()

getPropertyValueString()

setPropertyValueString()

Hyperion Analyzer API Toolkit Overview

Properties Overview

Actions Overview

Return to Welcome


Properties Overview

API Toolkit properties can be set and reviewed using API Toolkit methods.

Key considerations:

•	API Toolkit properties are different from API parameters.

•	Some properties are read-only.

•	A string can represent all properties.

•	Pay attention to get and set variations.

Hyperion Analyzer API Toolkit properties are divided into the following eight (8) groups, based on functionality:

General Properties

BuildVersion

ErrorCode

ErrorText

Parameter

Property

ServerCalc (Property)

ServerCalcCount

Session Properties

LoggedIn

AliasTable

AliasTableCount

AliasTableName

LoginName

ServerStats

UserSetting

Report Group Properties

CurrentViewGroup

ViewGroupCount

ViewGroupID

ViewGroupName

ViewListCount

Report Properties

DataColumnCount

DataRowCount

HTMLTemplate

LabelMode

TrafficLight

ViewChartProperty

ViewColumnCount

ViewCurrentDataObject

ViewDescription

ViewDataObjectCount

ViewDataObjectName

ViewDisplayType

ViewGroup

ViewID

ViewLoaded

ViewName

ViewRowCount

Page Properties

PageCount

PageMember

PageName

PageNumber

Dimension and Axis Properties

ColumnDimension

ColumnDimensionCount

CurrentDimension

CurrentDimensionLocation

DimensionAxis

DimensionCount

DimensionLabelMode

DimensionLocation

DimensionName

DimensionPosition

DimensionSelections

FilterDimension

FilterDimensionCount

PageDimension

PageDimensionCount

RowDimension

RowDimensionCount

Cell Properties

CellAlignment

CellCharacter

CellColor

CellContents

CellContentSize

CellDimension

CellFontBold

CellFontColor

CellFontHtmlColor

CellFontName

CellFontSize

CellHtmlColor

CellType

CurrentCell

CurrentCellColumn

CurrentCellRow

Graphical User Interface Properties

MenuBar

MenuTitle

Statusbar

Tabbar

Toolbars

ViewFilterPanel

ViewInfoPanel

Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Hyperion Analyzer API Toolkit Overview

Deliverables

Classes

Platforms

API Parameters

Methodology

Error Codes

Deprecated Features

Methods Overview

Properties Overview

Actions Overview

Return to Welcome


BuildVersion

Syntax

getPropertyValueString( "BuildVersion" )

Return Value

The version number of the Hyperion Analyzer API Toolkit

Description

The BuildVersion property value is the version number of the current Hyperion Analyzer API Toolkit.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ErrorCode

Syntax

getPropertyValueInt( "ErrorCode" )

getPropertyValueString( "ErrorCode" )

Return Value

The error code number of the last generated error.

Description

The ErrorCode property value is the Hyperion Analyzer error code number associated with the last error.  See also the ErrorText property.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ErrorText

Syntax

getPropertyValueString( "ErrorText", String errorCode )

getPropertyValueString( "ErrorText" )

Return Value

Property string value of the error code description.

Description

getPropertyValueString( "ErrorText", String errorCode )

Returns the ErrorText property string value, if any, associated with the given ErrorCode property value.

getPropertyValueString( "ErrorText" )

Returns the ErrorText property string value, if any, associated with the current ErrorCode property value.

See Error Codes for a complete list of Hyperion Analyzer error code numbers and descriptions.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


Parameter

Syntax

getPropertyValueString( "Parameter", String parameterName, String defaultValue)

setPropertyValueString( "Parameter", String parameterName, String value)

Parameters

parameterName:  the string value specifying the API parameter name.

defaultValue:  the string value used when no value is returned.

value:  the string value to which the specified parameter is set.

Return Value

The string value of any specified API getPropertyValueString() parameter.

Description

The Parameter() property returns the string value associated with the specified argument.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ServerCalc (Property)

Syntax

getPropertyValueString( "ServerCalc", String index )

Return Value

The property value of the name of the Hyperion Essbase server calculation at the specified zero-based (0) index

Description

The ServerCalc property value is the name of the Hyperion Essbase server calculation at the specified zero-based (0) index. The ServerCalcCount property provides the upper exclusive bound for valid index values.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ServerCalcCount

Syntax

getPropertyValueInt( "ServerCalcCount" )

getPropertyValueString( "ServerCalcCount" )

Return Value

The number of available Hyperion Essbase server calculations as a string or integer

Description

The ServerCalcCount property value is the number of available Hyperion Essbase server calculations.  Used in conjunction with the ServerCalc property.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


LoggedIn

Syntax

getPropertyValueInt( "LoggedIn" )

getPropertyValueString( "LoggedIn" )

Return Value

1 indicates a valid session

0 indicates the absence of a valid session

-1 - indicates an error

Description

The LoggedIn property value indicates that the API object has a valid session with the Hyperion Analyzer Analysis Server.  A valid session is defined as a session established using a valid user ID and password.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


LoginName

Syntax

getPropertyValueString( "LoginName" )

Return Value

A valid user ID as a string

Description

The LoginName property value is the user ID, if any, associated with the session.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


UserSetting

Syntax

getPropertyValueString( "UserSetting")

getPropertyValueString( "UserSetting", "indicator")

Return Value

The user preference is specified using one of the following integers:

Table:  User Preference Index Integers

Indicator	User Preference	Description
"0"	DefaultView	Indicates the first report or Desktop to be displayed at startup.  Returns a string.  Examples: " ", and  "OwnerName:GroupName:ReportName:DatabaseName".
"1"	MissingText	Specifies the string that replaces missing values when the User Preference is enabled.  Overridden by MissingZero setting.  Returns a string.
"2"	MissingZero	Specifies the value zero (0) to replace missing values when the User Preference is enabled.  Returns integers one (1) indicating use of Text replacement, or zero (0) indicating use of the zero value.  MissingZero overrides MissingText.
"4"	NegFormats	Indicates whether negative values are displayed in parentheses (), red color, or both.  Returns integers zero (0, none), one (1, parentheses), two (2, red), or three (3, both).
"5"	ShowFilters	Indicates whether the Filter panel is displayed when dimensions members are placed on the Filter axis.  Returns Boolean integers one (1), TRUE, or zero (0), FALSE.
"6"	ShowDetail	Indicates whether the Information panel is displayed, where report information is provided.  Returns Boolean integers one (1), TRUE, or zero (0), FALSE.
"7"	HomePage	Indicates the default home page.  Examples: " ", and " OwnerName:GroupName:ReportName:DatabaseName".
"8"	Analyzer_ShowTextLabels	Indicates whether the Toolbar text labels are displayed or hidden. Returns Boolean integers one (1), TRUE, or zero (0), FALSE.
"9"	Analyzer_MainToolbar	Indicates whether the Toolbar is displayed or hidden.  Returns Boolean integers one (1), TRUE, or zero (0), FALSE.
Description

getPropertyValueString( "UserSetting")

When the UserSetting property is used in this manner, the string value is all user preferences in an XML format.

getPropertyValueString( "UserSetting", "indicator" )

The UserSetting property value is a string value representing the user preference setting.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CurrentViewGroup

Syntax

getPropertyValueInt( "CurrentViewGroup")

setPropertyValueString( "CurrentViewGroup", String index)

setPropertyValueString( "CurrentViewGroup", String " ", String groupname)

Parameters

index:  a string of the zero-based index integer specifying which report group to set as the current report group.

" ": a string with, for example a single space, replaces the deprecated owner parameter.

groupname: a valid report group name.

Return Value

The getProperty returns the name of the CurrentViewGroup indicates success

-1 - indicates failure

The setProperty returns:

0 - indicates success

 -1 - indicates failure

Description

getPropertyValueInt( "CurrentViewGroup" )

The CurrentViewGroup property value is the index integer of the current report group in a zero-based (0) report group index.  This is not necessarily the report group for the current report.

setPropertyValueString( "CurrentViewGroup", String index )

Setting the CurrentViewGroup property value in this manner, changes the current report group using an index integer of a zero-based (0) report group index.   Returns zero (0), when successful or -1 indicates failure.

setPropertyValueString( "CurrentViewGroup", String " ", String groupname )

Setting the CurrentViewGroup property value, in this manner, changes the current report group using a string with a single space  (deprecated parameter) and the report group name.

Notes

The ViewGroupCount property value serves as the upper exclusive bound for valid index values.

See also ViewGroupID, ViewGroupName, and ViewListCount.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewGroupCount

Syntax

getPropertyValueInt( "ViewGroupCount" )

getPropertyValueString( "ViewGroupCount" )

Return Value

The number of reports in the CurrentViewGroup

Description

The ViewGroupCount property value is the number of report groups assigned to the user for which there is a valid session.

Notes

The ViewGroupCount property value serves as the upper exclusive bound for valid index values.

See also CurrentViewGroup, ViewGroupID, ViewGroupName, and ViewListCount.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewGroupID

Syntax

getPropertyValueInt("ViewGroupID", String index)

getPropertyValueString("ViewGroupID", String index ")

Return Value

The ID assigned to the report group at the specified index

Description

The ViewGroupID property value is the ID assigned to the report group, at the specified index.

Notes

The ViewGroupCount property value serves as the upper exclusive bound for valid index values.

See also CurrentViewGroup, ViewGroupName, and ViewListCount.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewGroupName

Syntax

getPropertyValueString( "ViewGroupName" )

getPropertyValueString( "ViewGroupName", String index )

Return Value

The current report group name

Description

getPropertyValueString( "ViewGroupName" )

The ViewGroupName property value is the current report group name. You must first set the CurrentViewGroup.

getPropertyValueString( "ViewGroupName", String index )

The ViewGroupName property value, used in this manner, is the name of the report group at the specified index.

Notes

The ViewGroupCount property value serves as the upper exclusive bound for valid index values.

See also CurrentViewGroup, ViewGroupID, and ViewListCount.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewListCount

Syntax

getPropertyValueInt( "ViewListCount" )

getPropertyValueInt( "ViewListCount", String index )

getPropertyValueString( "ViewListCount" )

getPropertyValueString( "ViewListCount", String index)

Parameters

index:  an integer of the zero-based index specifying a report group.

Return Value

The number of reports in the current or specified report group

Description

The ViewListCount property value is the number of reports in the current, or specified, report group.

Notes

The ViewGroupCount property value serves as the upper exclusive bound for valid index values.

See also CurrentViewGroup, ViewGroupID, and ViewGroupName.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


DataColumnCount

Syntax

getPropertyValueInt("DataColumnCount")

getPropertyValueString("DataColumnCount")

Return Value

The number of columns in the ViewCurrentDataObject

Description

The DataColumnCount property value is the number of columns in the ViewCurrentDataObject.  It does not count row header columns.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


DataRowCount

Syntax

getPropertyValueInt("DataRowCount")

getPropertyValueString("DataRowCount")

Return Value

The number of rows in the ViewCurrentDataObject

Description

The DataRowCount property value is the number of rows in the ViewCurrentDataObject.  It does not count column header rows

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


HTMLTemplate

Syntax

getPropertyValueString("HtmlTemplate")

Description

The HTMLTemplate property value is the HTML Template file name of the current report.  If no HTML Template has been associated with the report, a string with a single space  (" ") is returned.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


LabelMode

Syntax

getPropertyValueString("LabelMode")

setPropertyValueString("LabelMode", "integer")

Parameter

labelModeInteger: an integer setting the Label Mode.

Boolean:	a string setting the Label Mode.

Return Values

The getProperty returns the following:

0 indicates that the LabelMode is IDs.

1 indicates that the LabelMode is Descriptions.

2 indicates that the LabelMode is the same as the Default Label Mode.

3 indicates that the LabelMode is both Descriptions and IDs (HFM datasources only)

The setProperty returns:

0 – indicates success

-1 – indicates failure

Description

The LabelMode property is set at the report level. The implementation of LabelMode applies to the entire report. To set LabelMode at the dimension level, see DimensionLabelMode.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewChartProperty

Syntax

getPropertyValueString("ViewChartProperty", String axisChartProperty, String axisIndex)

getPropertyValueString ("ViewChartProperty", String chartProperty)

setPropertyValueString ("ViewChartProperty", String axisChartProperty, String axisIndex, String value)

setPropertyValueString ("ViewChartProperty", String chartProperty, String value)

Parameters

axisChartProperty:  a string specifying the axis chart property to be returned.  See "Axis Chart Properties" below.

chartProperty:  a string specifying the chart property to be returned.  See "Other  Chart Properties" below.

axisIndex:  a string specifying an axis, for axis chart properties.  One (1) specifies the X-axis.  Two (2) specifies the Y-axis.  Three (3) specifies the Secondary Y-axis.

value:  a string specifying the value to which a chart property should be set.

Return Value

The string value of a chart property for the current chart

Description

The ViewChartProperty property returns the string value of a chart property for the current chart.  Axis chart properties require that an axis be specified.

Chart Properties

Table:  Chart Properties

Chart Property	Description
Axis Chart Properties	Axis chart properties require an axis index: 1 = Y-axis 2 = X-axis 3 = Secondary Y-axis
AxisScaleUnits	A string value indicating the scale units for the specified axis.
AxisAutoCalculate	A Boolean string value indicating whether or not auto-calculate is enabled on the specified axis.
AxisStartFromMin	A Boolean string value indicating whether the auto-calculate chart property should start scaling from the minimum value, or from zero.
AxisStartMax	A string value indicating the maximum value on the scale of the specified axis.
AxisStartMin	A string value indicating the minimum value on the scale of the specified axis.
AxisStep	A string value indicating the interval by which the scale of the specified axis should be incremented.
AxisShowGridlines	A Boolean string value indicating whether or not gridlines for the specified axis are displayed.
Other Chart Properties
HeaderTitle	The string title at the top of the current chart.
FooterTitle	The string title at the bottom of the current chart.
LeftTitle	The string title on the left margin of the current chart.
RightTitle	The string title on the right margin of the current chart.
EffectsStacked	A Boolean string value indicating whether or not chart objects are stacked.
EffectsStacked100	A Boolean string value indicating whether or not chart objects are stacked per percentage of all values.
Effects3D	A Boolean string value indicating whether or not chart objects suggest 3-D space.
EffectsCluster	A Boolean string value indicating whether or not chart objects are clustered.
LegendShow	A Boolean string value indicating whether or not chart legends are displayed.
Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewColumnCount

Syntax

getPropertyValueInt("ViewColumnCount")

getPropertyValueString("ViewColumnCount")

Return Values

The number of columns in the ViewCurrentDataObject of the current report

Description

The ViewColumnCount property value is the number of columns in the ViewCurrentDataObject of the current report.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewCurrentDataObject

Syntax

setPropertyValueString("ViewCurrentDataObject", String dataObjectName)

Parameters

dataObjectName: a string value specifying a data object by name.  See the ViewDataObjectName property for more information.

Return Values

The current data object

Description

ViewCurrentDataObject property value sets the current data object as specified by name.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewDescription

Syntax

getPropertyValueString("ViewDescription")

getPropertyValueString("ViewDescription", String reportIndex)

getPropertyValueString("ViewDescription", String reportIndex, String reportGroupIndex)

Parameters

reportIndex:  an integer of the zero-based index specifying a report.

reportGroupIndex:  an integer of the zero-based index specifying a report group.

Return Values

The report description associated with the current report indicates success

-1 – indicates failure

Description

getPropertyValueString("ViewDescription")

The ViewDescription property value is the report description associated with the current report.

getPropertyValueString("ViewDescription", String reportIndex)

When used with the reportIndex parameter, the ViewDescription property value is the report description of a specific report in the current report group.

getPropertyValueString("ViewDescription", String reportIndex, String reportGroupIndex)

When used with the reportIndex parameter, the ViewDescription property value is the report description of a specific report in the specified report group.

Notes

The current report group is specified by the CurrentViewGroup property value.

The ViewListCount property value defines the upper exclusive bound for valid index values.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewDataObjectCount

Syntax

getPropertyValueInt("ViewDataObjectCount")

getPropertyValueString("ViewDataObjectCount")

Return Values

The number of data objects of the current report

Description

The ViewDataObjectCount property value is the number of data objects of the current report.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewDataObjectName

Syntax

getPropertyValueString("ViewDataObjectName", String dataobject)

Parameter

dataobject:  an integer specifying the index integer of a data object.

Return Values

The name of the data object at the specified index in the current report

Description

The ViewDataObjectName property value is the name of the data object at the specified index in the current report.

The ViewDataObjectName property value can be used to set the current data object, using the ViewCurrentDataObject property.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewDisplayType

Syntax

getPropertyValueInt("ViewDisplayType")

getPropertyValueString("ViewDisplayType")

setPropertyValueString("ViewDisplayType" string index)

Return Value

The getProperty returns an integer identifier representing the current data object's display type:

0: Indicates that the ViewDisplayType is Spreadsheet

1: Indicates that the ViewDisplayType is Vertical Bar Chart

2: Indicates that the ViewDisplayType is Line Chart

3: Indicates that the ViewDisplayType is Pie Chart

4: Indicates that the ViewDisplayType is Quadrant Chart

5: Indicates that the ViewDisplayType is Area Chart

8: Indicates that the ViewDisplayType is Marks Chart

14: Indicates that the ViewDisplayType is Pareto Chart

20: Indicates that the ViewDisplayType is Horizontal Bar Chart

The setProperty returns:

0 – indicates success

-1 – indicates failure

Description

The ViewDisplayType property value is an integer identifier representing the current data object's display type.

When used with the index parameter, the ViewDisplayType property sets the current data object to the display type specified by the index string.

Caution: You can set the display type only to those integer IDs currently supported by the Hyperion Analyzer Client API.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewGroup

Syntax

getPropertyValueString("ViewGroup")

Return Value

The report group name of the current report indicates success

-1 – when no report is loaded

Description

The ViewGroup property value is the report group name of the current report.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewID

Syntax

getPropertyValueInt("ViewID")

getPropertyValueString("ViewID")

getPropertyValueInt("ViewID", String reportIndex)

getPropertyValueString("ViewID", String reportIndex)

getPropertyValueInt("ViewID", String reportGroupIndex, reportIndex)

getPropertyValueString("ViewID", String reportGroupIndex, reportIndex)

Parameters

reportIndex:  an index that specifies a report

reportGroupIndex:  a index that specifyies a report group

Return Value

The viewID for the current report

or

The viewID for the specified report in the current ViewGroup

Description

getPropertyValueInt("ViewID") and getPropertyValueString("ViewID") property values return a unique integer identifying the current report.

getPropertyValueInt("ViewID", String reportIndex), getPropertyValueString("ViewID", String reportIndex), getPropertyValueInt("ViewID", String reportGroupIndex, reportIndex), getPropertyValueString("ViewID", String reportGroupIndex, reportIndex) property values return the viewID for the specified report in the current ViewGroup.

Notes

The current report group is specified by the CurrentViewGroup property value.

The ViewListCount property value defines the upper exclusive bound for valid index values.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewLoaded

Syntax

getPropertyValueString("ViewLoaded")

getPropertyValueInt("ViewLoaded")

Return Value

1 – indicates a report is loaded

0 – indicates that a report is not loaded

Description

The ViewLoaded property value is a Boolean string specifying whether or not any reports are loaded.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewName

Syntax

getPropertyValueString("ViewName")

getPropertyValueString("ViewName", String reportIndex)

getPropertyValueString("ViewName", String reportgroupIndex, String reportindex)

Parameters

reportIndex:  an index that specifies a report

reportGroupIndex:  a index that specifyies a report group

Return Value

A string specifying the name of the current report, or a specific report when identified by a reportgroupindex and/or reportindex

-1 – indicates failure

Description

getPropertyValueString("ViewName") property values return a unique integer identifying the current report.

getPropertyValueInt("ViewName ", String reportIndex), getPropertyValueString("ViewName", String reportIndex), getPropertyValueString("ViewID", String reportGroupIndex, reportIndex) property values return the viewname of the specified report in the specified ViewGroup.

Notes

The current report group is specified by the CurrentViewGroup property value.

The ViewListCount property value defines the upper exclusive bound for valid index values.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewRowCount

Syntax

getPropertyValueInt("ViewRowCount")

getPropertyValueString("ViewRowCount")

Return Value

The number of rows in the current data object including the column header rows

Description

The ViewRowCount property value is the number of rows in the current data object including the column header rows.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


TrafficLight

Syntax

getPropertyValueString("TrafficLight")

setPropertyValueString("TrafficLight", String xmlTrafficLight)

Parameters

xmlTrafficLight:  a string specifying a traffic light definition in XML format.

Return Value

The getProperty returns a string value of the current traffic light definition in XML format

The setProperty returns:

0 – indicates success

-1 – indicates failure

Description

getPropertyValueString("TrafficLight")

The TrafficLight property value returns the string value of the current traffic light definition in XML format.

setPropertyValueString("TrafficLight", String xmlTrafficLight)

The TrafficLight property value sets the current traffic light definition using an XML format string.

Traffic Lighting Definitions

Traffic lighting definitions are composed of four elements:

Table:  Traffic Lighting Definition Elements

Element	Description
Apply To Member	The member name and dimension name to which traffic lighting is applied.
Compare To Member	The member name and dimension name to which the "Apply To Member" is compared.
Default Point	The lowest possible value in the lowest range.  This value cannot be set and is determined by the dimension.  A combination of red, green, and blue values determine the color of this range.
red	The RGB value from 0 to 255 of red for the Default Point range.
green	The RGB value from 0 to 255 of green for the Default Point range.
blue	The RGB value from 0 to 255 of blue for the Default Point range.
Traffic Light Set-Point	The lowest possible value in the next traffic lighting range.  A combination of red, green, and blue values determine the color of this range.
point	The lowest possible value in the next traffic lighting range.  The value displayed in the set-point field.
comparison	An integer representing the operand "greater than or equal to" (>=)(1) or "greater than" (>)(2) that affiliates the set-point with the range above or below it.
red	The RGB value from 0 to 255 of red for the range.
green	The RGB value from 0 to 255 of green for the range.
blue	The RGB value from 0 to 255 of blue for the range.
Traffic Lighting DTD

The HYAAPITL.dtd is the DTD that defines this XML:

<!ELEMENT APITrafficLights (APITrafficLight+)>

<!ELEMENT APITrafficLight (APITrafficLightApplyMember+,

APITrafficLightCompareMember+, APITrafficLightDefaultPoint, APITrafficLightPoint+)>

<!ELEMENT APITrafficLightApplyMember ANY>

<!ELEMENT APITrafficLightDefaultPoint ANY>

<!ELEMENT APITrafficLightCompareMember ANY>

<!ELEMENT APITrafficLightPoint ANY>

<!ATTLIST APITrafficLight NAME CDATA #REQUIRED>

<!ATTLIST APITrafficLight PERCENTBASED CDATA #REQUIRED>

<!ATTLIST APITrafficLightApplyMember NAME CDATA #REQUIRED>

<!ATTLIST APITrafficLightApplyMember DIMENSION CDATA #REQUIRED>

<!ATTLIST APITrafficLightCompareMember NAME CDATA #REQUIRED>

<!ATTLIST APITrafficLightCompareMember DIMENSION CDATA #REQUIRED>

<!ATTLIST APITrafficLightDefaultPoint REDCOLOR CDATA #REQUIRED>

<!ATTLIST APITrafficLightDefaultPoint GREENCOLOR CDATA #REQUIRED>

<!ATTLIST APITrafficLightDefaultPoint BLUECOLOR CDATA #REQUIRED>

<!ATTLIST APITrafficLightPoint POINT CDATA #REQUIRED>

<!ATTLIST APITrafficLightPoint COMPARISON CDATA #REQUIRED>

<!ATTLIST APITrafficLightPoint REDCOLOR CDATA #REQUIRED>

<!ATTLIST APITrafficLightPoint GREENCOLOR CDATA #REQUIRED>

<!ATTLIST APITrafficLightPoint BLUECOLOR CDATA #REQUIRED>

RGB Colors

RGB color values consist of red, green and blue byte values.

Common examples:

Black	(0, 0, 0)

Green	(0, 192, 0)

Lime	(0, 255, 0)

Maroon	(128, 0, 0)

Olive	(128, 128, 0)

Navy	(0, 0, 128)

Purple	(128, 0, 128)

Teal	(0, 128, 128)

Gray	(128, 128, 128)

Silver	(192, 192, 192)

Red	(255, 0, 0)

Pink	(255, 175, 175)

Yellow	(255, 255, 0)

Blue	(0, 0, 255)

Magenta(255, 0, 255)

Orange	(255, 200, 0)

Aqua	(0, 255, 255)

White	(255, 255, 255)

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


PageCount

Syntax

getPropertyValueInt("PageCount")

getPropertyValueString("PageCount")

Return Value

The number of pages for the current data object indicates success

-1 – indicates failure

Description

The PageCount property value is the number of pages for the current data object.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


PageMember

Syntax

getPropertyValueString("PageMember", String memberIndex)

getPropertyValueString("PageMember", String memberIndex, String pageIndex)

Return Value

The member name of the dimension specified by the pageindex (current page, current data object)

Description

getPropertyValueString("PageMember", String memberIndex)

The PageMember property value is the member name of the dimension specified by the zero-based page axis index (current page, current report).

getPropertyValueString("PageMember", String memberIndex, String pageIndex)

The PageMember property value is the member name of the dimension specified by the zero-based page axis index (of the specified page, current report).

Notes

The PageMember property provides only dimension member names for the current page, not all pages.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


PageName

Syntax

getPropertyValueString("PageName")

getPropertyValueString("PageName", String index)

setPageName("PageName", String name)

Parameters

name:  the name of the page to set as the current page.

index:  indicates the page to set as the current page.

Return Value

The getProperty returns the name of the current page in the current data object, or the specific pagename for the specified index indicates success

-1 indicates failure

The setProperty returns:

0 – indicates success

-1 – indicates failure

Description

getPropertyValueString("PageName")

The PageName property value is the name of the current page in the current data object.

getPropertyValueString("PageName", String index)

When used with the index parameter, the PageName property value is the name of the specified page in the current data object.

setPageName("PageName", String name)

When used with the name parameter, the PageName property sets the current data object to the specified page.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


PageNumber

Syntax

getPropertyValueInt("PageNumber")

setPropertyValueString("PageNumber", String index)

Return Value

The getProperty returns the number of the current page in the current data object, or the specific pagenumber for the specified index indicates success

-1 indicates failure

The setProperty returns:

0 – indicates success

-1 – indicates failure

Description

The PageNumber property value is the current page number (in a zero-based index) for the current data object.

When used with the index parameter, the PageNumber property sets the current data object to the page specified by the index string.

Notes

The PageCount property value provides the upper exclusive bound for index values.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ColumnDimension

Syntax

getPropertyValueString("ColumnDimension", String index)

Return Value

The name of the across axis dimension at the specified zero-based index

 Description

The ColumnDimension property value is the name of the across axis dimension at the specified zero-based index.

Notes

The ColumnDimensionCount property value is the upper exclusive bound for the across axis dimension list for the current report.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ColumnDimensionCount

Syntax

getPropertyValueInt("ColumnDimensionCount")

getPropertyValueString("ColumnDimensionCount")

Return Value

The number of across axis dimensions for the current report

 Description

The ColumnDimensionCount property value is the number of across axis dimensions for the current report.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CurrentDimension

Syntax

getPropertyValueString("CurrentDimension")

setPropertyValueString("CurrentDimension", String index)

setPropertyValueString("CurrentDimension", string dimensionName)

Return Value

The getProperty returns the number of the current dimension in the current data object, or the specific dimension for the specified index indicates success

-1 indicates failure

The setProperty returns:

0 – indicates success

-1 – indicates failure

 Description

The CurrentDimension property value is the name of the current dimension in the current data object.

When used in conjunction with the index parameter, the CurrentDimension property sets the current dimension for the current data object to the dimension specified by the index string.

When used in conjunction with the dimensionName parameter, the CurrentDimension property sets the current dimension for the current data object to the dimension specified by the dimensionName string.

Notes

The DimensionCount property value is the upper exclusive bound for the dimension list for the current report.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CurrentDimensionLocation

Syntax

getPropertyValueString("CurrentDimensionLocation")

Return Value

The location of the current dimension on the current data object as specified by a location statement indicates success

-1 – indicates failure

Description

The CurrentDimensionLocation property value is the location of the current dimension on the current data object as specified by a location statement.

Location Statements

Dimension location statement strings specify both the axis and the position in a zero-based index series.

Table: Location Statements

Axis Code	Description
A	Across axis
D	Down axis
F	Filter axis
P	Page axis
Position Index	Description
0	First Position
1	Second Position
2	Third Position
For Example:	The location of the first dimension on the Page axis is described by the string "P0".

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


DimensionAxis

Syntax

getPropertyValueString("DimensionAxis")

getPropertyValueString("DimensionAxis", String index)

getPropertyValueString("DimensionAxis", String dimensionName)

Return Value

The axis identifier portion of the location statement specifying the location of the current dimension in the current data object indicates success

-1 – indicates failure

Description

The DimensionAxis property value is the axis identifier portion of the location statement specifying the location of the current dimension in the current data object.

When used with an index string, the DimensionAxis property value is the axis identifier part of the location statement, for the dimension in the current data object specified by the index.

When used with a dimensionName string, the DimensionAxis property value is the axis identifier part of the location statement, for the dimension in the current data object specified by the dimensionName property.

Location Statements

Dimension location statement strings specify both the axis and the position in a zero-based index series.

Table: Location Statements

Axis Code	Description
A	Across axis
D	Down axis
F	Filter axis
P	Page axis
Position Index	Description
0	First Position
1	Second Position
2	Third Position
For Example:	The location of the first dimension on the Page axis is described by the string "P0".

Notes

The entire location statement can be sought using the CurrentDimensionLocation property.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


DimensionCount

Syntax

getPropertyValueInt("DimensionCount")

getPropertyValueString("DimensionCount")

Return Value

The number of dimensions in the data source – indicates success

-1 indicates failure

Description

The DimensionCount property value is the number of dimensions in the current data object (including across, down, filter, and page axes).  It is the upper exclusive bound for the dimension list of the current data object.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


DimensionLocation

Syntax

getPropertyValueString("DimensionLocation")

getPropertyValueString("DimensionLocation", String dimensionindex)

getPropertyValueString("DimensionLocation", String dimensionName)

Parameters

dimensionindex:  a string of the zero-based index integer specifying the dimension.

dimensionName: a string specifying a dimension by name.

Return Value

The location statement of the current, indexed  or a named dimension (see Location Statements Table) – indicates success

-1 – indicates failure

Description

getPropertyValueString("DimensionLocation")

The DimensionLocation property value, when used in this syntax, returns the location statement of the current dimension.

getPropertyValueString("DimensionLocation", String dimensionindex)

The DimensionLocation property value, when used in this syntax, returns the location statement of the dimension specified by the dimension index integer.

getPropertyValueString("DimensionLocation", String dimensionName)

The DimensionLocation property value, when used in this syntax, returns the location statement of the named dimension.

Location Statements

Dimension location statement specifying both the axis and the position in a zero-based index series.

Table: Location Statements

Axis Code	Description	Position Index	Description
A	Across axis	0	First Position
D	Down axis	1	Second Position
F	Filter axis	2	Third Position
P	Page axis
For Example:	The location of the first dimension on the Page axis is described by the string "P0".

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


DimensionName

Syntax

getPropertyValueString("DimensionName", String dimensionindex)

Parameters

dimensionindex:  a string of the zero-based index integer specifying the dimension.

Return Value

A dimension name in the current data object as specified by an integer in a zero-based dimension index

Description

The DimensionsName property value is a dimension name in the current data object as specified by an integer in a zero-based dimension index.

Notes

The DimensionCount property value is the upper exclusive bound for the dimension list of the current data object.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


DimensionPosition

Syntax

getPropertyValueInt("DimensionPosition")

getPropertyValueString("DimensionPosition")

getPropertyValueInt("DimensionPosition", String dimensionindex)

getPropertyValueString("DimensionPosition", String dimensionindex)

getPropertyValueInt("DimensionPosition", String dimensionName)

getPropertyValueString("DimensionPosition", String dimensionName)

Parameters

dimensionindex:  a string of the zero-based index integer specifying the dimension.

dimensionName: a string specifying a dimension by name.

Return Value

Is the integer portion of the location statement specifying the position for the current, or indexed dimension in the current, or specified data object (see Location Statements Table)

Description

The DimensionPosition property value is the integer portion of the location statement specifying the position for the current dimension in the current data object.

Location Statements

Dimension location statement strings specify both the axis and the position in a zero-based index series.

Table: Location Statements

Axis Code	Description	Position Index	Description
A	Across axis	0	First Position
D	Down axis	1	Second Position
F	Filter axis	2	Third Position
P	Page axis

For Example:	The location of the first dimension on the Page axis is described by the string "P0".

Note:

The entire location statement can be sought using the CurrentDimensionLocation property.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


DimensionSelections

Syntax

getPropertyValueString("DimensionSelections")

getPropertyValueString("DimensionSelections", String dimensionName)

Parameters

dimensionName:  a string specifying the dimension for which to return dimension selections.

Return Value

The selection statement of the current dimension or the named dimension for the current data object (see Selection Mode Integer table)

Description

The DimensionSelections property value is the selection statement of the current dimension or the named dimension for the current data object.  Selection statements indicate which dimensions are included in a report.

Selection Statements

Hyperion Analyzer queries are composed of selection statements.  Selection statements in turn are composed of a selection mode integer, a colon (:), and a dimension member name.  Multiple selection statements in a query are separated by a semicolon (;).

Example:	"selectionModeInteger:dimensionMemberName;selectionModeInteger:
dimensionMemberName"

Selection statements leveraging the "Also Select Previous" selection mode allow the number of previously selected members to be defined.

Example:	"6:2:dimensionMemberName"	*6 = "Also Select Previous" selection mode

Table:  Selection Mode Integers

Selection Mode Name	Integer	Description
Normal	0	Selects only the specified member.
Also Select Children	3	Selects the currently specified dimension member and its children (one generation below).
Also Select Siblings	4	Selects the currently selected dimension member and all members on the same level that have the same parent ancestor.
Select Level	5	Selects the currently selected dimension member and members on the same level.
Also Select Previous	6	Selects the currently selected dimension member and a specified number of members, which precede the selected dimension.  (The number of previous members to select precedes the member and is delimited by a colon (:).)
Also Select Descendants	7	Selects the currently selected dimension member and its descendants.
Select Generation	8	Selects the currently selected dimension member and members in the same generation of the dimension outline.  (Hyperion Essbase-specific.)
Select Dim Bottom	9	Selects the currently selected dimension member and all descendants on the lowest level.
Also Select Ancestors	10	Selects the currently selected dimension member and its ancestors.
Substitution Variables	11	Selects the specified substitution variable as the dimension selection.
HFM Selection Modes
All Members	22	Selects all dimension members.
Member List…	23	Selects from a pre-defined dimension member lists.
Relative Member	24	Specific to the Period dimension.  Selects the currently defined relative member.
Common Children	25	Specific to the Entity dimension.  Selects the those dimension members currently defined as common children.
Note:  When selection mode eleven (11) Substitution Variables, is used, you will find the dollar-sign character concatenated before the substitution variable name.  Example:  11:$SubstitutionVariable.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


FilterDimension

Syntax

getPropertyValueString("FilterDimension", String index)

Return Value

The name of the dimension at the specified index on the Filter axis

Description

The FilterDimension property value is the filter axis dimension name at the specified zero-based index.

Note

The FilterDimensionCount property is the upper exclusive bound for the filter axis dimension list of the current data object.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


FilterDimensionCount

Syntax

getPropertyValueInt("FilterDimensionCount")

getPropertyValueString("FilterDimensionCount")

Return Value

The number of filter axis dimensions for the current data object indicates success

-1 – indicates failure

Description

The FilterDimensionCount property value is the number of filter axis dimensions for the current data object.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


PageDimension

Syntax

getPropertyValueString("PageDimension", String index)

Return Value

The page axis dimension name at the specified zero-based index indicates success

-1 – indicates failure

Description

The PageDimension property value is the page axis dimension name at the specified zero-based index for the current data object.

Note

The PageDimensionCount property value is the upper exclusive bound for the page axis dimension list of the current data object.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


PageDimensionCount

Syntax

getPropertyValueString("PageDimensionCount")

getPropertyValueInt("PageDimensionCount")

Return Value

The number of page axis dimensions for the current data object indicates success

-1 – indicates failure

Description

The PageDimensionCount property value is the number of page axis dimensions for the current data object.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


RowDimension

Syntax

getPropertyValueString("RowDimension", String index)

Return Value

The name of the down axis dimension at the specified zero-based index indicates success

-1 – indicates failure

Description

The RowDimension property value is the name of the down axis dimension at the specified zero-based index.

Notes

The RowDimensionCount property value is the upper exclusive bound for the row axis dimension list of the current data object.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


RowDimensionCount

Syntax

getPropertyValueInt("RowDimensionCount")

getPropertyValueString("RowDimensionCount")

Return Value

The number of down axis dimensions for the current data object indicates success

-1 – indicates failure

Description

The RowDimensionCount property value is the number of down axis dimensions for the current data object.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CellAlignment

Syntax

getPropertyValueInt("CellAlignment")

getPropertyValueInt("CellAlignment", int row, int column)

Return Value

0 – indicates whether the content of the current cell is aligned left

1 – indicates whether the content of the current cell is aligned center

2 – indicates whether the content of the current cell is aligned right

3 – deprecated

-1 – indicates failure

Description

The CellAlignment property value indicates whether the content of the current cell is aligned left (0), center (1), or right (2).  The value three (3), word-wrapped has been deprecated in a previous release.

When used with the row and column parameters, the CellAlignment property value indicates whether the content of the current cell is aligned left (0), center (1), or right (2) in the specified cell.  The specified cell becomes the current cell.

NOTE: The current cell is determined by the current data object.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CellCharacter

Syntax

getPropertyValueString("CellCharacter", int index)

Return Value

The character at the position in the contents of the current cell, specified by the zero-based index integer indicates success

-1 – indicates failure

Description

The CellCharacter property value is the character at the position in the contents of the current cell, specified by the zero-based index integer.

NOTE: The current cell is determined by the current data object. The CellContentSize property value is the exclusive upper bound of valid index values.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CellColor

Syntax

getPropertyValueInt("CellColor")

getPropertyValueInt("CellColor", int row, int column)

Return Value

The string format for the background color of the current cell of the current data object in decimal format indicates success

-1 – indicates failure

Description

The CellColor property is the Red Green Blue (RGB) format background color of the current cell (of the current data object) in decimal format.

When used with the row and column parameters, the CellColor property is the Red Green Blue (RGB) format background color of the specified cell.  The specified cell becomes the current cell. See also, CellHtmlColor for more information about the color of cells.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CellContents

Syntax

getPropertyValueString("CellContents")

getPropertyValueString("CellContents", int row, int column)

setPropertyValueString("CellContents", string value)

setPropertyValueString("CellContents", string row, string column, string value)

Return Value

The getProperty returns the content of the current or specified cell, for the current or specific data object indicates success

-1 – indicates failure

The setProperty returns:

0 – indicates success

-1 – indicates failure

Description

The CellContents property is the content of the current cell for the current data object.  When used in conjunction with the row and column parameters, the CellContents property retrieves the content of the specified cell.  The specified cell becomes the current cell.

You can also use the CellContents property to set the content of the current cell in all data objects that share the same data source.  You must first lock the report using the Lock action before attempting to set cell contents.  When used in conjunction with the row, column, and value parameters, the CellContents property sets the content of the specified cell to the specified value.  The specified cell becomes the current cell.

Edit Data Mode

In Edit Data mode the data layer spreadsheet underlying a report is displayed.  Users cannot edit a report itself, only its underlying data layer.  The data layer does not display calculated members (because these do not reside in the database) or reflect special format settings (such as the Hide Only Analysis Tool).  Action or property updates changing the data object will fail because the report is "locked."

The Edit Data mode is initiated using the Lock action and can be concluded using either the Send, or the CancelLock action.

Warning

If a non-numeric value is passed by setting the CellContents property, Hyperion Essbase interprets the value as zero (0).

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CellContentSize

Syntax

getPropertyValueInt("CellContentSize")

getPropertyValueInt("CellContentSize", String row, String column)

getPropertyValueString("CellContentSize")

getPropertyValueString("CellContentSize", String row, String column)

Return Value

The character length of the content in the current or specified cell for the current data object indicates success

-1 – indicates failure

Description

The CellContentSize property value is the length, in characters, of the content of the current cell for the current data object.

When used in conjunction with the row and column parameters, CellContentSize retrieves the length, in characters, of the content of the specified cell (for the current data object).

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CellDimension

Syntax

getPropertyValueString("CellDimension")

getPropertyValueString("CellDimension", String row, String column)

Return Value

The name of the dimension of the current row or column header cell of the current data object indicates success

-1 – indicates failure

Description

The CellDimension property value is the dimension name of the current cell (of the current data object).  It is valid for row and column header cells only.

When used in conjunction with the row and column parameters, the CellDimension property value is the dimension name of the specified cell (of the current data object).

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CellFontBold

Syntax

getPropertyValueString("CellFontBold")

getPropertyValueString("CellFontBold", int row, int column)

Return Value

0 – indicates that the font of the current or specified cell is not bold

1 - indicates that the font of the current or specified cell is bold

-1 indicates failure

Description

The CellFontBold property value is a binary value indicating whether the font of the current cell is not bold (0) or bold (1).

When used with the row and column parameters, the CellFontBold property value is a binary value indicating whether the font of the current cell is plain (0) or bold (1) in the specified cell.  The specified cell becomes the current cell.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CellFontColor

Syntax

getPropertyValueInt("CellFontColor")

getPropertyValueString("CellFontColor")

getPropertyValueInt("CellFontColor", String row, String column)

getPropertyValueString("CellFontColor", String row, String column)

Return Value

The color of the font of the current cell in the current data object, in decimal format indicates success

-1 – indicates failure

Description

The CellFontColor property value is the color of the font of the current cell (in the current data object) in decimal format.

When used with the row and column parameters, the CellFontColor property value is the Red Green Blue (RGB) format color of the font of the specified cell.  The specified cell becomes the current cell. See also, CellFontHtmlColor for more information about the color of cell fonts.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CellFontHtmlColor

Syntax

getPropertyValueString("CellFontHtmlColor")

getPropertyValueString("CellFontHtmlColor", String row, String column)

Return Value

A string representing the hexadecimal Red Blue Green (RGB) font color of the current or specified cell in the current data object indicates success

-1 – indicates failure

Description

The CellFontHtmlColor property value is a string of the Red Green Blue (RGB) color of the font of the current cell (in the current data object) in hexadecimal triplet format.

When used with the row and column parameters, the CellFontHTMLColor property value is an HTML string of the Red Green Blue (RGB) color of the font of the specified cell.  The specified cell becomes the current cell.

The return value is often useful when you want to re-create reports in HTML format.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CellFontName

Syntax

getPropertyValueString("CellFontName")

getPropertyValueString("CellFontName", String row, String column)

Return Value

The name of the font of the current or specified cell in the current data object indicates success

-1 – indicates failure

Description

The CellFontName property value is the name of the font of the current cell (in the current data object).

When used with the row and column parameters, the CellFontName property value is the name of the font of the specified cell.  The specified cell becomes the current cell.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CellFontSize

Syntax

getPropertyValueInt("CellFontSize")

getPropertyValueString("CellFontSize")

getPropertyValueInt("CellFontSize", String row, String column)

getPropertyValueString("CellFontSize", String row, String column)

Return Value

The point size of the font of the current or specified cell in the current data object indicates success

-1 – indicates failure

Description

The CellFontSize property value is the point size of the font of the current cell (in the current data object).

When used with the row and column parameters, the CellFontSize property value is the point size of the font of the specified cell.  The specified cell becomes the current cell.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CellHtmlColor

Syntax

getPropertyValueString("CellHtmlColor")

getPropertyValueString("CellHtmlColor", String row, String column)

Return Value

A string representing the of the hexadecimal Red Green Blue (RGB) background color of the current or specified cell, in the current data object indicates success

-1 – indicates failure

Description

The CellColor property is a string representing the hexidecimal Red Green Blue (RGB) background color of the current cell in the current data object.

When used with the row and column parameters, the CellColor property is a string representing the hexidecimal Red Green Blue (RGB) background color of the specified cell.  The specified cell becomes the current cell.

The return value is often useful when you want to re-create reports in HTML format.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CellType

Syntax

getPropertyValueInt("CellType")

getPropertyValueString("CellType")

getPropertyValueInt("CellType", String row, String column)

getPropertyValueString("CellType", String row, String column)

Return Value

The cell type of the current cell for the current data object (See Cell Type  table below):

Description

The CellType property value is the cell type of the current cell (for the current data object).

When used in conjunction with the row and column parameters, the CellType property value is the cell type of the specified cell. There are five cell types, as described by the following table:

Cell Type Table

Cell Type	Integer	Description
InvalidCell	-1	Not a valid cell location
RowHeader	1	A row header
ColumnHeader	2	A column header
DataCell	3	A cell containing data
AmbiguousCell	4	Both a row and column header
Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CurrentCell

Syntax

setPropertyValueString("CurrentCell", String row,  String column)

Return Value

0 – indicates success

-1 – indicates failure

Description

The CurrentCell property sets the current cell for the current data object, using zero-based index integers for row and column (expressed as a string).

Notes

The ViewColumnCount property value is the upper exclusive bound for valid column integers.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CurrentCellColumn

Syntax

getPropertyValueInt("CurrentCellColumn")

getPropertyValueString("CurrentCellColumn")

setPropertyValueString("CurrentCellColumn", String column)

Return Value

The getProperty returns the column of the current or specified cell indicates success

-1 – indicates failure

The setProperty returns:

0 – indicates success

-1 – indicates failure

Description

The CurrentCellColumn property value is the column of the current cell, as specified by a zero-based index integer.  Columns include header columns.

When used with the column parameter, the CurrentCellColumn property sets the column for the current cell.

Notes

The ViewRowCount property value is the upper exclusive bound for valid row integers.

The ViewColumnCount property value is the upper exclusive bound for valid column integers.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


CurrentCellRow

Syntax

getPropertyValueInt("CurrentCellRow")

getPropertyValueString("CurrentCellRow")

setPropertyValueString("CurrentCellRow", String row)

Return Value

The getProperty returns the row at which the current cell has been set

-1 – indicates the row has not been set

The setProperty returns:

0 – indicates success

-1 – indicates failure

Description

The CurrentCellRow property value is the row of the current cell, as specified by a zero-based index integer.  Rows include header rows.

When used with the row parameter, the CurrentCellRow property sets the row for the current cell.

Notes

The ViewRowCount property value is the upper exclusive bound for valid row integers.

The ViewColumnCount property value is the upper exclusive bound for valid column integers.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


MenuBar

Syntax

getPropertyValueString("MenuBar")

getPropertyValueInt("MenuBar")

setPropertyValueString("MenuBar", String value)

Parameter

value:  a string value consisting of 1, TRUE, 0, or FALSE

Return Value

The following are return values for the getPropertyValue methods:

0 – indicates that the Hyperion Analyzer Menu bar is not displayed

1 – indicates that the Hyperion Analyzer Menu bar is displayed

-1 – indicates failure

The setPropertyValue returns:

0 – indicates success

-1 – indicates failure

Description

The MenuBar property value indicates whether the Hyperion Analyzer Menu bar is displayed.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


MenuTitle

Syntax

setPropertyValueString("MenuTitle", String title)

Parameter

title:  title text string

Return Value

0 – indicates success

-1 – indicates failure

Description

The MenuTitle property value sets the title text for additional right-click menu items.

You must first add a menu item using the AddMenuItem action before the set menu title can be displayed.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


Statusbar

Syntax

getPropertyValueInt("Statusbar")

getPropertyValueString("Statusbar")

setPropertyValueString("Statusbar", String value)

Parameter

value:  a string value consisting of 1, TRUE, 0, or FALSE

Return Value

The following are return values for the getPropertyValue methods:

0 – FALSE, indicates that the Status bar is not visible

1 – TRUE, indicates that the Status bar is visible

-1 – indicates failure

The setPropertyValue returns:

0 – indicates success

-1 – indicates failure

Description

The Statusbar property value indicates whether the Hyperion Analyzer Status bar is displayed.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


Tabbar

Syntax

getPropertyValueString("Tabbar")

getPropertyValueInt("Tabbar")

setPropertyValueString("Tabbar", String value)

Parameter

value:  a string value consisting of 1, TRUE, 0, or FALSE

Return Value

The following are return values for the getPropertyValue methods:

0 – FALSE, indicates that the Report Tabs bar is not visible

1 – TRUE, indicates that the Report Tabs bar is visible

-1 – indicates failure

The setPropertyValue returns:

0 – indicates success

-1 – indicates failure

Description

The Tabbar property value indicates whether the Hyperion Analyzer Report Tabs bar is displayed.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


Toolbars

Syntax

getPropertyValueString("Toolbars")

getPropertyValueInt("Toolbars")

setPropertyValueString("Toolbars", String value)

Parameter

value:  a string value consisting of 1, TRUE, 0, or FALSE

Return Value

The following are return values for the getPropertyValue methods:

0 – FALSE, indicates that the Toolbars are not visible

1 - TRUE, indicates that the Toolbars are visible

-1 – indicates failure

The setPropertyValue returns:

0 – indicates success

-1 – indicates failure

Description

The Toolbars property value indicates whether the Hyperion Analyzer Toolbar and Details bar are displayed.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewFilterPanel

Syntax

getPropertyValueInt("ViewFilterPanel")

getPropertyValueString("ViewFilterPanel")

setPropertyValueString("ViewFilterPanel", string show)

Parameter

show:  a string value specifying whether the filter panel is hidden (0 or TRUE), or visible (1 or FALSE.)

Return Value

The following are return values for the getPropertyValue methods:

0 - Indicates that the filter panel is not visible

1 - Indicates that the filter panel is visible

-1 – indicates failure

The setPropertyValue returns:

0 – indicates success

-1 – indicates failure

Description

The ViewFilterPanel property value is a string specifying whether the filter panel is hidden (0) or visible (1).

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ViewInfoPanel

Syntax

getPropertyValueInt("ViewInfoPanel")

getPropertyValueString("ViewInfoPanel")

setPropertyValueString("ViewInfoPanel", String show)

Parameter

show:  a string value specifying whether the information panel is hidden (0 or TRUE), or visible (1 or FALSE.)

Return Value

The following are return values for the getPropertyValue methods:

0 - Indicates that the information panel is not visible

1 - Indicates that the information panel is visible

-1 – indicates failure

The setPropertyValue returns:

0 – indicates success

-1 – indicates failure

Description

The ViewInfoPanel property value is a string specifying whether the information panel is hidden (0) or visible (1).

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


Actions Overview

Actions are tasks executed using the run() method.

Return Value

0 – indicates success

-1 – indicates failure.  Use the ErrorCode and ErrorText properties to determine the nature of the failure.

Actions

Table:  Hyperion Analyzer API Toolkit Actions

Actions	Description
Session Management Actions
Login	Establishes a session with the Hyperion Analyzer Analysis Server.
Logout	Terminates a session with the Hyperion Analyzer Analysis Server.
NewConnection	Creates a new personal database connection.
Report Management Actions
AddMenuItem	Adds a menu item to a custom right-click menu option.
DeleteView	Deletes the specified report from the repository.
DeleteReportGroup	Removes selected report group from the Hyperion Analyzer repository.
ExportReport	Launches the Save dialog.
ExportReportGroup	Exports a set of reports.
ImportReport	Imports a report from an external source into the repository.
ImportReportGroup	Loads the Open dialog to import a group of reports.
LoadView	Loads a report and establishes it as the current report.
NewView	Loads the Select Layout dialog, which begins the process of creating a new report.
Redo	Executes the last API method prior to the Undo action; reverses Undo.
Undo	Reverses the last executed API method.
RefreshView	Reloads the report definition and database values per the last save.
RemoveView	Closes the current report.
SaveView	Saves the current report and records report property changes.
SaveViewAs	Launches the Report Properties dialog box or saves a report using a new name and/or description.
Data Management Actions
AddDimSelection	Appends or replaces members of the query definition.
CancelLock	Terminates the Edit Data mode without posting edits to the database.
Drill	Drills the specified dimension member using the specified drilling method.
Designer	Enters or exits Design Mode.
Export	Launches the Save As dialog box in order to export reports to a spreadsheet, clipboard, or file in ASCII format.
LoadData	Loads or reloads the database values of the current report.
Lock	Initiates the Edit Data mode.
Print	Displays the Print dialog box.
PrintDisplay	Loads the Print dialog to print the current data object (the display type receiving focus).
Send	Posts edits to the database, then terminates the Edit Data mode.
ServerCalc	Executes the named Hyperion Essbase server calculation.
SetAllDimensions	Defines an OLAP database query using the specified dimensions, and places the dimensions in the specified multidimensional axes. (SetAllDimensions combines the functionality of SetDimension and SetDimensionLocation.)
SetDimension	Assigns a dimension and its member selections to an axis and location, loads Cube Navigator, or loads the Dimension Browser.
SetDimensionLocation	Assigns a dimension and its member selections to an axis and location.
Show	Displays or hides Desktop, Forward and Back buttons, and Homepage.
ShowHide	Displays the Show/Hide Only dialog box, used to create and apply Show/Hide Only definitions.
Sort	Displays the Sort dialog box used to create and apply sorting definitions.
SpreadSheetOptions	Displays the Spreadsheet Options dialog box used to format spreadsheets.
TrafficLight	Displays the Traffic Lighting dialog box used to create and apply traffic lighting definitions.
UpdateSelection	Used in conjunction with the LoadView action to change a dimension’s member selections and/or location.
Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Hyperion Analyzer API Toolkit Overview

Deliverables

Classes

Platforms

API Parameters

Methodology

Error Codes

Deprecated Features

Methods Overview

Properties Overview

Return to Welcome


Login

Syntax

run("Login")

run("Login", string userid, string password)

Parameters

None

Return Value

0 – indicates success

-1 - indicates failure

Description

run("Login")

The Login action establishes a session with the Hyperion Analyzer Analysis Server.  The Login action launches the Login dialog box prompting the user for a valid user ID and password.

run("Login", string userid, string password)

When used with the userid and password parameters, the Login action establishes communication and a session with the Hyperion Analyzer Analysis Server.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


Logout

Syntax

run("Logout")

Parameters

None

Return Value

0 – indicates success

-1 - indicates failure

Description

The Logout action terminates the current session with the Hyperion Analyzer Analysis Server.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


AddMenuItem

Syntax

run("AddMenuItem", string menuText, string menuFunction )

Parameters

menuText: menu item text.

menuFunction:  the JavaScript function executed when the menu item is selected.

Note

To manipulate cell data, you can use the following function signature and arguments:  menuFunction (menuItemText, row, column) where MenuItemText is the menu item text, and row and column specify the right-clicked cell address.

Return Value

0 – indicates success

-1 - indicates failure

Description

The AddMenuItem action adds a right-click menu item to a custom right click menu option.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


DeleteView

Syntax

run("DeleteView", string " ", string viewgroupname, string viewname )

run("DeleteView", string " ", string viewgroupid, string viewid )

Parameters

" ": any string as the second argument is disregarded.

viewgroupname: a string specifying the report group name.

viewname: a string specifying the report name.

" ": any string as the second argument is disregarded..

viewgroupid: a string specifying the report group ID.

viewid:  a string specifying the report ID.

Return Value

0 – indicates success

-1 - indicates failure

Description

run("DeleteView", string " ", string viewgroupname, string viewname )

The DeleteView action deletes from the Hyperion Analyzer repository the report specified by report group name and report name properties.

run("DeleteView", string " ", string viewgroupid, string viewid )

The DeleteView action deletes from the Hyperion Analyzer repository the report specified by report group ID and report ID properties.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


LoadView

Syntax

run("LoadView")

run("LoadView", string " ", string viewgroupname, string viewname)

run("LoadView", string " ", string viewgroupID, string viewID)

run("LoadView", string " ", string viewgroupname, string viewname, string LoadData )

run("LoadView", string " ", string viewgroupID, string viewID, string LoadData )

Parameters

" ": any string as the second argument is disregarded.

viewgroupname: a string specifying the report group by name.

viewname:  a string specifying the report by name.

LoadData: an optional string specifying whether to load the report with data values.  Passing the string "0" allows a report to be loaded without data values.  See UpdateSelection and SetAllDimensions actions for more information.

Return Value

0 – indicates success

-1 - indicates failure

Description

run("LoadView")

Using the LoadView action without parameters displays the Report Manager dialog box, prompting the user to select a report.

run("LoadView", string " ", string viewgroupname, string viewname)

Using the LoadView action, in this manner, loads and establishes the current report using the ViewGroupName and ViewName properties.

run("LoadView", string " ", string viewgroupID, string viewID)

Using the LoadView action, in this manner, loads and establishes the current report using the ViewGroupID and ViewID properties.

run("LoadView", string " ", string viewgroupname, string viewname, string LoadData )

Using the LoadView action, in this manner, loads and establishes the current report using the ViewGroupName and ViewName properties.  The report will not be visible until LoadData is called.

run("LoadView", string " ", string viewgroupID, string viewID, string LoadData )

Using the LoadView action, in this manner, loads and establishes the current report using the ViewGroupID and ViewID properties.  The report will not be visible until LoadData is called.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


NewView

Syntax

run("NewView")

run("NewView", string dbname )

Parameters

dbname:  a string specifying the database by name.

Return Value

0 – indicates success

-1 - indicates failure

Description

run("NewView")

The NewView action, used in this manner loads the Select Layout dialog, which starts the process of creating a new report.

run("NewView", string dbname )

The NewView action, used in this manner, creates and establishes a new report as the current report, using the defined database connection string.  This syntax launches the Cube Navigator dialog box, which allows users to create multi-dimensional queries.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


Redo

Syntax

run("Redo")

Return Value

0 – indicates success

-1 - indicates failure

Description

Executes the last API method prior to the Undo action.  Reverses Undo.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


RefreshView

Syntax

run("RefreshView")

Return Value

0 – indicates success

-1 - indicates failure

Description

The RefreshView action reloads the report definition and database values.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


RemoveView

Syntax

run("RemoveView")

run("RemoveView", int viewid)

Parameters

viewid:  a string that is the report ID.

Return Value

0 – indicates success

-1 - indicates failure

Description

run("RemoveView")

The RemoveView action closes the current report.

run("RemoveView", int viewid)

The RemoveView action, used in this manner, closes the report specified by the viewid property value.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


SaveView

Syntax

run("SaveView")

Return Value

0 – indicates success

-1 - indicates failure

Description

The SaveView action loads the Report Manager dialog if the report has not been saved yet.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


SaveViewAs

Syntax

run("SaveViewAs")

run("SaveViewAs", string " ", string viewgroupname, string viewname)

run("SaveViewAs", string " ", string viewgroupname, string viewname, string viewdescription)

Parameters

" ": any string as the second argument is disregarded.

viewgroupname: a string specifying the report group by name.

viewname:  a string specifying the report by name.

viewdescription:  a string specifying the report description.

Return Value

0 – indicates success

-1 - indicates failure

Description

run("SaveViewAs")

The SaveViewAs action loads the Reprt Manager dialog.

run("SaveViewAs", string " ", string viewgroupname, string viewname)

The SaveViewAs action saves the current report to the defined report group and report name.

run("SaveViewAs", string " ", string viewgroupname, string viewname, string viewdescription)

The SaveViewAs action saves the current report to the defined report group, report name and description.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


Undo

Syntax

run("Undo")

Return Value

0 – indicates success

-1 - indicates failure

Description

Reverses the last executed API method.

Note: The Undo parameter does not support all API actions. The supprtundo applet parameter must be set to TRUE for Undo to function.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


AddDimSelection

Syntax

run("AddDimSelection", string append, string memberName, string selectionMode )

run("AddDimSelection", string append, string memberName, string selectionMode, string dimensionName )

Parameters

append:  a Boolean string indicating whether to append (TRUE) or replace (FALSE).

dimensionName:  a string specifying a dimension by name.

memberName:  a string specifying a dimension member by name.

selectionMode:  a string specifying a Hyperion Analyzer selection mode.

Return Value

0 – indicates success

-1 - indicates failure

Description

The AddDimSelection action appends or replaces current dimension selections.

run("AddDimSelection", string append, string memberName, string selectionMode )

When used with the previous syntax, the AddDimSelection action appends or replaces the selection statement of the currently selected dimension.

run("AddDimSelection", string append, string memberName, string selectionMode, string dimensionName )

When used with the previous syntax, the AddDimSelection action appends or replaces the selection statement of the specified dimension.

Caution: The results are not rendered visually until LoadData is called. Only one selection statement at a time can be appended or replaced.

Selection Modes

Selection statements leveraging the "Also Select Previous" selection mode enable you to define the number of previously selected members.

Example:	"6:2:dimensionMemberName"	*6 = "Also Select Previous" selection mode

Table: Selection Mode Integers

Selection Mode Name	Integer	Description
Normal	0	Selects only the specified member.
Also Select Children	3	Selects the current or specified dimension member and its children (one generation below).
Also Select Siblings	4	Selects the current or specified dimension member and all members on the same level with the same parent ancestor.
Select Level	5	Selects the current or specified dimension member and members on the same level.
Also Select Previous	6	Selects the current or specified dimension member and the same member in the previous time dimension.  (The number of previous members to be selected precedes the member and is also delimited by a colon (:).)
Also Select Descendants	7	Selects the current or specified dimension member and its descendants.
Select Generation	8	Selects the current or specified dimension member and members in the same generation of the dimension outline.  (Hyperion Essbase-specific.)
Select Dim Bottom	9	Selects the current or specified dimension member and all descendants on the lowest level.
Also Select Ancestors	10	Selects the current or specified dimension member and its ancestors.
Substitution Variables	11	Selects a substitution variable as the dimension selection.
Note:  When selection mode eleven (11) Substitution Variables, is used, you must ensure the dollar-sign character is concatenated before the substitution variable name.  Example:  11:$SubstitutionVariable.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


CancelLock

Syntax

run("CancelLock")

Return Value

0 – indicates success

-1 - indicates failure

Description

The CancelLock action exits Edit Data mode without writing, saving, or posting edits.  Edits made since the last save are lost.

Edit Data mode is initiated using the Lock action and can be concluded using either the Send or CancelLock actions.

Set cell contents (or edit) using the CellContents property.

Edit Data Notes

•	Users with permission can edit cell values and write edits back to Hyperion Essbase.

•	Users can only initiate this Edit Data Mode from the spreadsheet display type

•	Users cannot edit calculated members because these values do not actually reside in the database.

•	Users cannot edit reports that have attribute dimensions selected.

•	Action or property updates changing the current report will fail because the report is "locked."

•	Dimensions composed of implied shares (or user-defined hierarchies) do not aggregate the same as conventional dimension hierarchies.  Therefore, the implied share may overwrite data edits made to the Parent of an implied share as the model is pivoted.

Example

Actual and Budget are implied shares of the Parent, Scenario.  Scenario, however, is a categorical label, not an aggregation of Actual and Budget measures.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


Drill

Syntax

run("Drill", string dimensionName, string memberName, string drillMode )

Parameters

dimensionName:  a string specifying a dimension by name.

memberName:  a string specifying a member of the specified dimension.

drillMode:  a string describing a Hyperion Analyzer drilling method ("Down", "Top", "Up").

Return Value

0 – indicates success

-1 - indicates failure

Description

The Drill action drills the specified dimension member using the specified drilling method.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


LoadData

Syntax

run("LoadData")

Return Value

0 – indicates success

-1 - indicates failure

Description

The LoadData action loads or reloads the database values for all data objects that share the same datasource. This action is used typically after a series of Set Dimension actions or after calling run("LoadView", " ", "groupname", "reportname", "0").

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


Lock

Syntax

run("Lock")

Return Value

0 – indicates success

-1 - indicates failure

Description

Places the API object in Edit Data mode.

NOTE: In Edit Data mode the data layer spreadsheet underlying a report is displayed.  Users cannot edit a report itself, only its underlying data layer.  The data layer does not display calculated members (because these do not reside in the database) or reflect special format settings (such as the Hide Only Analysis Tool).  Action or property updates changing the current report will fail because the report is "locked."

Edit Data mode is initiated using the Lock action and can be concluded using either the Send, or CancelLock actions.

Set cell contents (or edit) using the CellContents property.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


Print

Syntax

run("Print")

run("Print", [, String value])

Parameters

value:  an optional string value consisting of 1, TRUE, 0, or FALSE

Return Value

0 – indicates success

-1 - indicates failure

Description

run("Print")

The Print action launches the Hyperion Analyzer Print dialog.

run("Print", [, String value])

This Print action syntax automates printing by suppressing the Windows Print dialog.

Print Definitions

Print definitions are composed of the following elements:

Table:  Print Definition Elements

Control	Description
Headers/Footer	Indicates that the following information will be positioned as a header or footer.
Header Text Entry Field	Enables the user to enter a header or footer text string.
Page Number	Automatically inserts page numbers in the header or footer.
Page Description	Automatically inserts page descriptions in the header or footer.
Date	Automatically inserts the current date in the header or footer.
Report Name	Automatically inserts the report name in the header or footer.
RepeatTitles
Row and column headers on all pages check box	Automatically inserts row and column headers on all pages when checked.
Summary Page
Include a report summary page	Automatically inserts a print summary into the printer output when checked.
Print To
Printer	Directs print output to the default printer.
PDF	Saves print output as a .PDF file.
Orientation
Portrait	Prints the report with a portrait orientation.
Landscape	Prints the report with a landscape orientation.
Scale
__ page(s) wide __ page(s) tall.	Fit to page printing.  Enables the user to determine how report content is broken down into print job pages.
OLAP Pages
Page Selection Panel	Enables the user to print select print job pages by selecting the page axis dimensions associated with report pages.
Print Definition DTD

<!ELEMENT APIPrintParameter ANY>

<!ATTLIST APIPrintParameter HEADERTEXT CDATA #REQUIRED>

<!ATTLIST APIPrintParameter HEADERNUMBER CDATA #REQUIRED>

<!ATTLIST APIPrintParameter HEADERDATE CDATA #REQUIRED>

<!ATTLIST APIPrintParameter HEADERDESCRIPTION CDATA #REQUIRED>

<!ATTLIST APIPrintParameter HEADERNAME CDATA #REQUIRED>

<!ATTLIST APIPrintParameter FOOTERTEXT CDATA #REQUIRED>

<!ATTLIST APIPrintParameter FOOTERNUMBER CDATA #REQUIRED>

<!ATTLIST APIPrintParameter FOOTERDATE CDATA #REQUIRED>

<!ATTLIST APIPrintParameter FOOTERDESCRIPTION CDATA #REQUIRED>

<!ATTLIST APIPrintParameter FOOTERNAME CDATA #REQUIRED>

<!ATTLIST APIPrintParameter REPEATTITLES CDATA #REQUIRED>

<!ATTLIST APIPrintParameter INCLUDESUMMARYPAGE CDATA #REQUIRED>

<!ATTLIST APIPrintParameter ORIENTATION CDATA #REQUIRED>

<!ATTLIST APIPrintParameter DESTINATION CDATA #REQUIRED>

<!ATTLIST APIPrintParameter HORIZONTALSCALE CDATA #REQUIRED>

<!ATTLIST APIPrintParameter VERTICALSCALE CDATA #REQUIRED>

<!ATTLIST APIPrintParameter PAGES CDATA #REQUIRED>

XML Print Definition Example

<APIPrintParameter HEADERTEXT="Header" HEADERNUMBER="true" HEADERDATE="true" HEADERDESCRIPTION="true" HEADERNAME="true" FOOTERTEXT="Footer" FOOTERNUMBER="true" FOOTERDATE="true" FOOTERDESCRIPTION="true" FOOTERNAME="true" REPEATTITLES="true" INCLUDESUMMARYPAGE="true" ORIENTATION="Landscape" DESTINATION="Printer" HORIZONTALSCALE="1" VERTICALSCALE="1" PAGES="1,2" />

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


PrintDisplay

Syntax

run("PrintDisplay")

run("PrintDisplay", String xmlPrint)

run("PrintDisplay", String xmlPrint, "1")

Parameters

xmlPrint:  a string specifying a printing definition in XML format suppressing the Analyzer Print dialog.

1: the value suppresses the System Print dialog

Return Value

0 – indicates success

-1 - indicates failure

Description

run("PrintDisplay")

The PrintDisplay action launches the Hyperion Analyzer Print dialog, enabling the user to define printer settings, preview the print, and print the data object.

run("PrintDisplay", String xmlPrint)

This PrintDisplay action syntax enables the user to define and print reports using an xml print definition.

run("PrintDisplay", String xmlPrint, "1")

This PrintDisplay action syntax suppresses both the Hyperion Analyzer Print dialog and the System Print dialog.  In effectthis sends the report directly to the default printer using the default printer settings for that computer.

Print Definitions

Print definitions are composed of the following elements:

Table:  Print Definition Elements

Control	Description
Headers/Footer	Indicates that the following information will be positioned as a header or footer.
Header Text Entry Field	Enables the user to enter a header or footer text string.
Page Number	Automatically inserts page numbers in the header or footer.
Page Description	Automatically inserts page descriptions in the header or footer.
Date	Automatically inserts the current date in the header or footer.
Report Name	Automatically inserts the report name in the header or footer.
RepeatTitles
Row and column headers on all pages check box	Automatically inserts row and column headers on all pages when checked.
Summary Page
Include a report summary page	Automatically inserts a print summary into the printer output when checked.
Print To
Printer	Directs print output to the default printer.
PDF	Saves print output as a .PDF file.
Orientation
Portrait	Prints the report with a portrait orientation.
Landscape	Prints the report with a landscape orientation.
Scale
__ page(s) wide __ page(s) tall.	Fit to page printing.  Enables the user to determine how report content is broken down into print job pages.
OLAP Pages
Page Selection Panel	Enables the user to print select print job pages by selecting the page axis dimensions associated with report pages.
Print Definition DTD

<!ELEMENT APIPrintParameter ANY>

<!ATTLIST APIPrintParameter HEADERTEXT CDATA #REQUIRED>

<!ATTLIST APIPrintParameter HEADERNUMBER CDATA #REQUIRED>

<!ATTLIST APIPrintParameter HEADERDATE CDATA #REQUIRED>

<!ATTLIST APIPrintParameter HEADERDESCRIPTION CDATA #REQUIRED>

<!ATTLIST APIPrintParameter HEADERNAME CDATA #REQUIRED>

<!ATTLIST APIPrintParameter FOOTERTEXT CDATA #REQUIRED>

<!ATTLIST APIPrintParameter FOOTERNUMBER CDATA #REQUIRED>

<!ATTLIST APIPrintParameter FOOTERDATE CDATA #REQUIRED>

<!ATTLIST APIPrintParameter FOOTERDESCRIPTION CDATA #REQUIRED>

<!ATTLIST APIPrintParameter FOOTERNAME CDATA #REQUIRED>

<!ATTLIST APIPrintParameter REPEATTITLES CDATA #REQUIRED>

<!ATTLIST APIPrintParameter INCLUDESUMMARYPAGE CDATA #REQUIRED>

<!ATTLIST APIPrintParameter ORIENTATION CDATA #REQUIRED>

<!ATTLIST APIPrintParameter DESTINATION CDATA #REQUIRED>

<!ATTLIST APIPrintParameter HORIZONTALSCALE CDATA #REQUIRED>

<!ATTLIST APIPrintParameter VERTICALSCALE CDATA #REQUIRED>

<!ATTLIST APIPrintParameter PAGES CDATA #REQUIRED>

XML Print Definition Example

<APIPrintParameter HEADERTEXT="Header" HEADERNUMBER="true" HEADERDATE="true" HEADERDESCRIPTION="true" HEADERNAME="true" FOOTERTEXT="Footer" FOOTERNUMBER="true" FOOTERDATE="true" FOOTERDESCRIPTION="true" FOOTERNAME="true" REPEATTITLES="true" INCLUDESUMMARYPAGE="true" ORIENTATION="Landscape" DESTINATION="Printer" HORIZONTALSCALE="1" VERTICALSCALE="1" PAGES="1,2" />

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


Send

Syntax

run("Send")

Parameters

None

Return Value

0 – indicates success

-1 - indicates failure

Description

The Send action attempts to write edits made during Edit Data mode back to the database.  Whether or not the write succeeds, the Send action exits Edit Data mode.

Edit Data Mode

In Edit Data mode the data layer spreadsheet underlying a report is displayed.  Users cannot edit a report itself, only its underlying data layer.  The data layer does not display calculated members (because these do not reside in the database) or reflect special format settings (such as the Hide Only Analysis Tool).  Action or property updates changing the current report will fail because the report is "locked."

Edit Data mode is initiated using the Lock action and can be concluded using either the Send, or CancelLock actions.

Set cell contents (or edit) using the CellContents property.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


ServerCalc (Action)

Syntax

run("ServerCalc")

run("ServerCalc", string calcName )

Parameters

calcname: the name of a server calculation

Return Value

0 – indicates success

-1 - indicates failure

Description

run("ServerCalc" )

When no parameters are provided, the ServerCalc action displays the Calculations dialog box, enabling the user to select and run a Hyperion Essbase calculation script for all data objects that share the same data source.

run("ServerCalc", string calcName )

The ServerCalc action executes the named Hyperion Essbase server for all data objects that share the same data source calculation.  The calcName parameter must be among the available server calculations determined by the ServerCalc property.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


SetDimension

Syntax

run("SetDimension")

run("SetDimension", string dimensionName)

run("SetDimension", string dimensionName, string locationStatement)

run("SetDimension", string dimensionName, string locationStatement, string selectionStatement )

Parameters

dimensionName:  a string specifying a dimension by name.

locationStatement:  a string specifying the axis and position to locate the specified dimension.

selectionStatement:  a string specifying a Hyperion Analyzer selection statement.  See below.

Return Value

0 – indicates success

-1 - indicates failure

Description

run("SetDimension")

The SetDimension action defines an OLAP database query using specified dimensions.  When instantiated using a visual object, this syntax launches the Cube Navigator dialog box. This prompts the user to use a graphic interface to define a database query.

run("SetDimension", string dimensionName)

When instantiated using a visual object and used in conjunction with the dimensionName parameter, the SetDimension action launches the Dimension Browser dialog box.  The Dimension Browser dialog box enables the user to select Dimension members and selection modes for a dimension.

run("SetDimension", string dimensionName, string locationStatement)

When used in conjunction with two parameters, the SetDimension action defines an OLAP database query using specified dimensions, and locates the currently selected dimension members at the specified axis and position for all data objects that share the same data source.

run("SetDimension", string dimensionName, string locationStatement, string selections )

When used in conjunction with all parameters, the SetDimension action defines an OLAP database query using specified dimensions, and locates the returned dimension members at the specified axis and position for all data objects that share the same data source.

NOTE: Results are not rendered visually until LoadData is called.

Selection Statements

Hyperion Analyzer queries are composed of selection statements.  Selection statements in turn are composed of a selection mode integer, a colon (:), and a dimension member name.  Multiple selection statements in a query are separated by a semicolon (;).

Examples

"selectionModeInteger:dimensionMemberName;selectionModeInteger:
dimensionMemberName"

Selection statements leveraging the "Also Select Previous" selection mode enable you to define the number of previously selected members.

"6:2:dimensionMemberName"	*6 = "Also Select Previous" selection mode

Table:  Selection Mode Integers

Selection Mode Name	Integer	Description
Normal	0	Selects only the specified member.
Also Select Children	3	Selects the current or specified dimension member and its children (one generation below).
Also Select Siblings	4	Selects the current or specified dimension member and all members on the same level with the same parent ancestor.
Select Level	5	Selects the current or specified dimension member and members on the same level.
Also Select Previous	6	Selects the current or specified dimension member and the same member in the previous time dimension.  (The number of previous members to be selected precedes the member and is also delimited by a colon (:).)
Also Select Descendants	7	Selects the current or specified dimension member and its descendants.
Select Generation	8	Selects the current or specified dimension member and members in the same generation of the dimension outline.  (Hyperion Essbase-specific.)
Select Dim Bottom	9	Selects the current or specified dimension member and all descendants on the lowest level.
Also Select Ancestors	10	Selects the current or specified dimension member and its ancestors.
Substitution Variables	11	Selects a substitution variable as the dimension selection.
Note:  When selection mode eleven (11) Substitution Variables, is used, you must ensure that the dollar-sign character is concatenated before the substitution variable name.  Example:  11:$SubstitutionVariable.

Location Statements

Dimension location statement strings specify both the axis, and the position in a zero-based index series.

Table: Location Statements

Axis Code	Description
A	Across axis
D	Down axis
F	Filter axis
P	Page axis
Position Index	Description
0	First Position
1	Second Position
2	Third Position
For Example:	The location of the first dimension on the Page axis is described by the string "P0"

Example

MyApplet.run("SetDimension", "Product", "A0", "3:Product");

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


SetDimensionLocation

Syntax

run("SetDimensionLocation", string location)

run("SetDimensionLocation", string dimensionName, string location)

run("SetDimensionLocation", string dimensionIndex, string location)

Parameter

dimensionName: the string value of a valid dimension name.

dimensionIndex: the string value of the Essbase dimension index integer.

location:  a string specifying the axis and position to locate the specified dimension.

Return Value

0 – indicates success

-1 - indicates failure

Description

run("SetDimensionLocation", string location)

For all data objects that share the same data source, the SetDimensionLocation action places the current dimension in the specified location.

run("SetDimensionLocation", string dimensionName, string location)

When used in conjunction with two parameters, the SetDimensionLocation action places the specified dimension in the specified location for all data objects that share the same data source.

run("SetDimensionLocation", string dimensionIndex, string location)

When used in conjunction with three parameters, the SetDimensionLocation action places the dimension specified by the Essbase dimension index integer in the specified location for all data objects that share the same data source.

NOTE: Results are not rendered visually until LoadData is called.

Location Statements

Dimension location statement strings specify both the axis and the position in a zero-based index series.

Table: Location Statements

Axis Code	Description
A	Across axis
D	Down axis
F	Filter axis
P	Page axis
Position Index	Description
0	First Position
1	Second Position
2	Third Position
For Example:	The location of the first dimension on the Page axis is described by the string "P0".

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


SetAllDimensions

Syntax

run("SetAllDimensions", string numberOfDefinitions, string advancedSelectionStatement)

run("SetAllDimensions", string numberOfDefinitions, string advancedSelectionStatement, string delimiter )

Parameters

numberOfDefinitions:  a string indicating the number of Advanced Selection Statements in the subsequent advancedSelectionStatement string parameter.

advancedSelectionStatement:  a string specifying the axis and position to locate the specified dimension.

delimiter:  a string defining the character used to separate tokens of the advancedSelectionStatement string parameter.  This parameter is optional, and by default is set as the semicolon (;).

Return Value

0 – indicates success

-1 - indicates failure

Description

For all data objects that share the same data source, the SetAllDimension action defines all dimension locations and selections at once, diminishing network traffic and expediting execution.

In the same manner that the UpdateSelection action determines point of report for one dimension, the SetAllDimensions action describes point of report for multiple dimensions (without limiting the number of updated dimensions).

Advanced Selection Statements

Hyperion Analyzer queries are composed of selection statements.  Conventional Selection Statements are defined in the SetDimension and AddDimSelection actions.  The SetAllDimensions action uses Advanced Selection Statements.

Advanced Selection Statements are strings consisting of five types of information, in the following order:

•	Dimension name

•	Location statement

•	Number of members to be set

•	Selection mode integer

•	Member name

By default, these five components are delimited by a semicolon (;), but the delimiter parameter can be used to define other characters as delimiters.

When setting more than one dimension member, you must indicate a selection mode integer and member name for each member.

Example:	run("SetAllDimesnions", "1" , "Product;D0;1;3;Colas", ";");

Selection statements leveraging the "Also Select Previous" selection mode enable you to define the number of previously selected members.

Example:	run("SetAllDimesnions", "1" , "Product;D0;1;6:2;Colas", ";");

Selection Mode Integers

Table: Selection Mode Integers

Selection Mode Name	Integer	Description
Normal	0	Select only the specified member.
Also Select Children	3	Selects the current or specified dimension member and its children (one generation below).
Also Select Siblings	4	Selects the current or specified dimension member and all members on the same level with the same parent ancestor.
Select Level	5	Selects the current or specified dimension member and members on the same level.
Also Select Previous	6	Selects the current or specified dimension member and the same member in the previous time dimension.  (The number of previous members to select precedes the member and is delimited by a semi-colon (;).) Note:  You cannot use a colon as a delimiter (fourth parameter) in conjunction with Also Select Previous.
Also Select Descendants	7	Selects the current or specified dimension member and its descendants.
Select Generation	8	Selects the current or specified dimension member and members in the same generation of the dimension outline.  (Hyperion Essbase-specific.)
Select Dim Bottom	9	Selects the current or specified dimension member and all descendants on the lowest level.
Also Select Ancestors	10	Selects the current or specified dimension member and its ancestors.
Substitution Variables	11	Selects a substitution variable as the dimension selection.
Note:  When selection mode eleven (11) Substitution Variables, is used, you must ensure that the dollar-sign character is concatenated before the substitution variable name.  Example:  11:$SubstitutionVariable.

Location Statements

Dimension location statement strings specify both the axis, and the position in a zero-based index series.

Table: Location Statements

Axis Code	Description
A	Across axis
D	Down axis
F	Filter axis
P	Page axis
Position Index	Description
0	First Position
1	Second Position
2	Third Position
For Example:	The location of the first dimension on the Page axis is described by the string "P0"

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


ShowHide

Syntax

run("ShowHide", string dimensionName)

Parameters

dimensionName:  a string specifying a dimension.

Return Value

0 – indicates success

-1 - indicates failure

Description

The ShowHide action displays the Show Hide Only dialog box, which allows users to display or hide the specified dimension members for all data objects that share the same data source.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


Sort

Syntax

run("Sort", string dimensionName)

run("Sort", string rowNumber, string columnNumber)

Parameters

dimensionName:  a string specifying a dimension.

rowNumber:  a string specifying the row number of a header cell.

columnNumber:  a string specifying the column number of a header cell.

Important!

Special consideration must be given to rowNumber and columnNumber parameters.  Sorting must be executed using the "innermost" header cells where there are multiple nested dimensions (innermost meaning those dimension headers adjacent to data values).  Row and column references derive from a zero-based index.  This means that there is only one valid rowNumber parameter and one valid columnNumber parameter per view.  Their values are equal to the RowDimensionCount property value less one (due to the zero-based index), and the Column DimensionCount property value less one (due to the zero-based index).

Return Value

0 – indicates success

-1 - indicates failure

Description

run("Sort", string dimensionName)

The Sort action displays the Sort dialog box for the specified dimension.

run("Sort", string rowNumber, string columnNumber)

For all data objects that share the same datasource, the Sort action displays the Sort dialog box, which enables users to sort dimension members of the specified dimension header.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


SpreadSheetOptions

Syntax

run("SpreadSheetOptions")

Return Value

0 – indicates success

-1 - indicates failure

Description

The SpreadSheetOptions action displays the Spreadsheet Options dialog box, which users use to set properties of the spreadsheet display type.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


TrafficLight (Action)

Syntax

run("TrafficLight", string dimensionName)

run("TrafficLight", string dimensionName, string "0")

run("TrafficLight", string dimensionName, string memberName)

run("TrafficLight ",string dimensionName, string numberOfTrafficLightDefinitions, string trafficLightDefinitions)

run("TrafficLight ",string dimensionName, string numberOfTrafficLightDefinitions, string trafficLightDefinitions, string delimiter)

Parameters

dimensionName:  a string specifying a dimension by name.

memberName:  a string specifying a dimension member by name.

numberOfTrafficLightDefinitions:  a string specifying the number of Traffic Light definitions in the subsequent parameter.  A value of zero (0) removes all traffic lighting in the view.

trafficLightDefinitions:  a string specifying the Traffic Light definition.  See below.

delimiter:  a string defining the character used to separate tokens of the trafficLightDefinitions string parameter.  This parameter is optional, and by default is set as the semicolon (;).

Return Value

0 – indicates success

-1 - indicates failure

Description

run("TrafficLight", string dimensionName)

For all data objects that share the same datasource, the TrafficLight action syntax displays the Traffic Light dialog box for the specified dimension.  The Traffic Light dialog box enables the user to define traffic light definitions.

run("TrafficLight ", string dimensionName, string "0")

For all data objects that share the same datasource, the TrafficLight action syntax removes all traffic lighting definitions.

run("TrafficLight", string dimensionName, string memberName)

This TrafficLight action syntax displays the Traffic Light dialog box for the specified dimension. The resulting traffic light applies to all data objects that share the same data source.

run("TrafficLight ",string dimensionName, string numberOfTrafficLightDefinitions, string trafficLightDefinitions)

When using this syntax, the TrafficLight action replaces the current traffic light definition with the specified definition.  The default delimiter, the semicolon (;), is always used. The resulting traffic light applies to all data objects that share the same data source.

run("TrafficLight ",string dimensionName, string numberOfTrafficLightDefinitions, string trafficLightDefinitions, string delimiter)

When using this syntax, the TrafficLight action replaces the current traffic light definition with the specified definition.  You must define specified delimiter. The resulting traffic light applies to all data objects that share the same data source.

Traffic Light Definitions

Traffic Light definitions consist of eight components, in the following order:

•	Member Name

•	Member Determining the Color

•	Color of the lower extremity (RGB)

•	Color of the middle (RGB)

•	Color of the upper extremity (RGB)

•	Percentage Comparison

•	Value of the lower extremity

•	Value of the upper extremity

RGB Colors

RGB color values consist of red, green, and blue byte values.

Common examples:

Black	(0, 0, 0)

Green	(0, 192, 0)

Lime	(0, 255, 0)

Maroon	(128, 0, 0)

Olive	(128, 128, 0)

Navy	(0, 0, 128)

Purple	(128, 0, 128)

Teal	(0, 128, 128)

Gray	(128, 128, 128)

Silver	(192, 192, 192)

Red	(255, 0, 0)

Pink	(255, 175, 175)

Yellow	(255, 255, 0)

Blue	(0, 0, 255)

Magenta (255, 0, 255)

Orange	(255, 200, 0)

Aqua	(0, 255, 255)

White	(255, 255, 255)

To Delete Traffic Lighting

To delete traffic lighting from the view, pass a value of zero (0) for the numberOfTrafficLightDefinitions parameter:

run("TrafficLight ", "0")

run("TrafficLight ", "dimension name", "0")

Examples

MyApplet.run("TrafficLight");	//Displays Traffic Light dialog box.

MyApplet.run("TrafficLight", "Market", "1", "East;West;255;0;0;255;255;0;0;255;0;0;-100.0;100.0", ";");

MyApplet.run("TrafficLight", "0", "", "", "");	 //Empty strings delete traffic Light

MyApplet.run("TrafficLight", "dimension name", "0"); // delete traffic light

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


UpdateSelection

Syntax

run("UpdateSelection", string DimensionName, string MemberName, string SelectionModeInteger)

Parameters

dimensionName:  a string specifying a dimension by name.

memberName:  a string specifying a dimension member by name.

selectionModeInteger: a string specifying the selection mode integer (see below).

Return Value

0 – indicates success

-1 - indicates failure

Description

The UpdateSelection action is used to update member selections.

NOTE: Results are not rendered visually until LoadData is called.

Selection Mode Integer

Selection Mode Name	Integer	Description
Normal	0	Selects only the specified member.
Also Select Children	3	Selects the current or specified dimension member and its children (one generation below).
Also Select Siblings	4	Selects the current or specified dimension member and all members on the same level with the same parent ancestor.
Select Level	5	Selects the current or specified dimension member and members on the same level.
Also Select Previous	6	Selects the current or specified dimension member and the same member in the previous time dimension.  (The number of previous members to select precedes the member and is also delimited by a colon (:).)
Also Select Descendants	7	Selects the current or specified dimension member and its descendants.
Select Generation	8	Selects the current or specified dimension member and members in the same generation of the dimension outline.  (Hyperion Essbase-specific.)
Select Dim Bottom	9	Selects the current or specified dimension member and all descendants on the lowest level.
Also Select Ancestors	10	Selects the current or specified dimension member and its ancestors.
Substitution Variables	11	Selects a substitution variable as the dimension selection.
Note:  When selection mode eleven (11) Substitution Variables, is used, you must ensure that the dollar-sign character is concatenated before the substitution variable name.  Example:  11:$SubstitutionVariable.

Related Topics

Actions Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Properties Overview

Return to Welcome


Hyperion Analyzer API Toolkit Jump Start Guide

Hyperion Analyzer provides access to the Hyperion Analyzer API Toolkit Jump Start Guide on the Information Map

The API Toolkit Jump Start Guide introduces concepts necessary to begin using the API Toolkit, as well as provides live sample applications.  The following URL is the path to the Hyperion Analyzer API Toolkit Jump Start Guide based on the default installation location:

http://<servername>/Analyzer6_Server/samples/api/index.html

Related Topics

What Hyperion Analyzer Does

Hyperion Analyzer Product Components

Architectural Overview

Hyperion Analyzer API Toolkit Overview

Deliverables

Classes

Platforms

API Parameters

Methodology

Error Codes

Deprecated Features

Methods Overview

Properties Overview

Actions Overview

Return to Welcome


DimensionLabelMode

Syntax

getPropertyValueString("DimensionLabelMode")

setPropertyValueString("DimensionLabelMode", "integer")

Parameter

labelModeInteger: an integer setting the Label Mode.

Return Values

0 indicates that the DimensionLabelMode is IDs.

1 indicates that the DimensionLabelMode is Descriptions.

2 indicates that the DimensionLabelMode is the same as the Default Label Mode.

3 indicates that the DimensionLabelMode is both Descriptions and IDs (HFM datasources only)

-1 indicates failure

Description

The DimensionLabelMode property is set at the dimension. The implementation of DimensionLabelMode applies only to the selected dimension, but it does apply to all data objects that share the same data source. To set the LabelMode for the entire report, see LabelMode

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ExportReport

Syntax

run("ExportReport")

run("ExportReport", ["fileName"])

Parameter

fileName: the name of the export (optional).

Return Values

0 – indicates success

-1 - indicates failure

Description

When a file name is not included, the ExportReport action launches the Save As dialog box, which enables users to define the path to the .ard file.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


DeleteReportGroup

Syntax

run("DeleteReportGroup", "reportgroupname")

run("DeleteReportGroup", "reportgroupid")

Parameter

reportgroupname: the name of the report group to delete

reportgroupid: the ID of the report group to delete

Return Values

0 – indicates success

-1 - indicates failure

Description

run("DeleteReportGroup", string " ", string reportgroupname)

The DeleteReportGroup action deletes the report group from the Hyperion Analyzer repository.

run("DeleteReportGroup", string " ", string reportgroupid)

The DeleteReportGroup action deletes the report group, specified by report group ID integer, from the Hyperion Analyzer repository.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


Designer

Syntax

run("Designer")

Parameter

None

Return Values

0 – indicates success

-1 - indicates failure

Description

The Designer action toggles the Hyperion Analyzer Designer.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


Export

Syntax

run("Export", "excel")

run("Export", "clipboard")

run("Export", "filename")

Parameter

excel: Microsoft Excel

clipboard: Windows Clipboard

filename: a file name

Return Values

0 – indicates success

-1 - indicates failure

Description

The Export action launches the Save As dialog box, enabling the user to save the report as ASCII text in a defined location for use in a spreadsheet, the clipboard or file:

The ("Export", "excel") property exports data to Microsoft Excel without formatting.

The ("Export", "clipboard") property exports data to the clipboard so it can be pasted into another program such as notepad or Excel, without formatting.

The ("Export", "filename") property exports the data as ASCII text. If filename is included with no path, the report is saved to the Desktop. If you inlcude a path in the filename, the file is saved to that path. If a filename is not included, the Save dialog is loaded and the user must enter an extension such as .txt, .xls, or .doc extension.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ExportReportGroup

Syntax

run("ExportReportGroup", "reportgroupname")

run("ExportReportGroup", "reportgroupname"[, "filename"])

Parameter

reportGroupName: the name of the report group to export

filename: an optional filename

Return Values

0 – indicates success

-1 - indicates failure

Description

The ExportReportGroup action is used to launch the Save As dialog to export a set of reports from the repository to a desired location as XML.

The ("ExportReportGroup", "reportgroupname") property loads the Save As dialog so the user can select the path.

The ("ExportReportGroup", "reportgroupname", "filename") property saves the report group as XML to the defined path and filename.  If no path is given the Save As dialog loads.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ImportReport

Syntax

run("ImportReport")

run("ImportReport", "filename")

Parameter

filename: the name of the report

Return Values

0 – indicates success

-1 - indicates failure

Description

The ImportReport action imports a report that can be saved into the repository.

The ("ImportReport") action loads the Open dialog.

The ("ImportReport", "filename") action loads the report with the defined filename into the repository.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


ImportReportGroup

Syntax

run("ImportReportGroup")

run("ImportReportGroup"[, "filename"]);

Parameter

filename: the optional name of the report group

Return Values

0 – indicates success

-1 - indicates failure

Description

When a filename is not included, the ImportReportGroup action loads the Open dialog to import a group of reports, from an external source, into the repository.

The ("ImportReportGroup") action loads the open dialog.

The ("ImportReportGroup", "filename") action loads the report group with the defined filename into the repository.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


NewConnection

Syntax

run("NewConnection", "serverName:dbName:cubeName", "username", "password")

Parameter

serverName:dbName:cubeName: data source connection data

username: valid user for the datasource

password: valid user password for the datasource

Return Values

0 – indicates success

-1 - indicates failure

Description

The NewConnection action creates a new personal database connection.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


Show

Syntax

run("Show", "Desktop")

run("Show", "Next")

run("Show", "Back")

run("Show", "Homepage")

Parameter

showItem: an object to display such as Analyzer Desktop, Home, Next, Back

Return Values

0 – indicates success

-1 - indicates failure

Description

The ("Show", "Desktop") argument loads the Analyzer Desktop

The Show action provides you with the functionality contained from the Go menu on the Analyzer Web Client menu bar.

The ("Show", "Next") argument shows the next report in a tab list

The ("Show", "Back") argument shows the previous report in a tab list

The ("Show", "Homepage") argument shows the homepage

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


AliasTableCount

Syntax

getPopertyValueString("AliasTableCount", "databasename")

Parameter

databaseName: The database connection name

Return Values

A numeric value

-1 – indicates failure

Description

The AliasTableCount property returns the number of alias tables assigned to the defined database connection.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


AliasTableName

Syntax

getPropertyValueString("AliasTableName", "databasename", "index"); returns an alias table name

Parameter

databasename: The name of the database connection

index: a zero count integer

aliastablename: the alias database connection name

Return Values

The name of the table indicates success

-1 - indicates failure.

Description

The getAliasTableName property returns the name of the Alias Table defined by the index.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


Property

Syntax

getPropertyValueString("Property", "propertyname", "CurrentDbConnName")

getPropertyValueString("Property", "propertyname", "CurrentDbConnId")

getPropertyValueString("Property", "propertyname", "CurrentDbConnType")

getPropertyValueString("Property", "propertyname", "CurrentDbConnRange")

Parameter

CurrentDbConnName: the connection name

CurrentDbConnId: the connection ID

CurrentDbConnType: the connection type

CurrentDbConnRange: the connection range

Return Values

The following return values indicates success:

[Name, Id, Type, Info, Range] indicates success for the CurrentDbConnName parameter

integer ID indicates success for the CurrentDbConnId parameter

essbase, hfm, relational indicates success for the CurrentDbConnType parameter

global, personal indicates success for the CurrentDbConnRange parameter

-1 – indicates failure

Description

getPropertyValueString("Property", "CurrentDbConnName") - returns connection name

getPropertyValueString("Property", "CurrentDbConnId") - returns an integer ID from the repository

getPropertyValueString("Property", "CurrentDbConnType") - returns essbase, hfm, or relational

getPropertyValueString("Property", "CurrentDbConnRange") - returns global or personal

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


UserPreference

Syntax

getPropertyValueString("UserPreference", "key")

setProperty("UserSetting", "username", "keyname")

Parameter

key type: the property name

Return Values

The getUserPreference property returns:

The value of the specified key. See the following tables.

-1 – indicates failure

The setUserSetting property returns:

0 – indicates sussess

-1-indicates failure

Description

The getUserPreference property returns tha value of the specified key.

The setUserSettings property sets the specified key to the specified value.  For more information on user settings, see UserSetting. The following tables provide a list of valid keys and their values, for purposes of clarification the values are from a "set" perspective.

Table: General Settings for UserPreferences

Key	Value
Homepage	desktop or reportgroupName:reportName
StartUpOption	NONE HOME reportgroupname:reportname

Table: Default Formatting Settings for UserPreferences

Key	Value
Multiplier	decimal number
ReplaceWithText	1 replaces missing values with text (default)  0 replaces missing values with zeros.
ReplaceText	Text string (example: n/a)
NegativeFormatting	0 to clear or 1 to select checkbox
NegativeColor	RGB (example: 255,0,0 for red)
PositivePrefix	Text that represents positive prefix (example: +)
PositiveSuffix	Text that represents positive suffix (example: +)
NegativePrefix	Text that represents negative prefix (example: -)
NegativeSuffix	Text that represents negative prefix (example: -)
GroupedThousands	0 to clear or 1 to select checkbox
MinimumDecimal	Number (places to the right of decimal point)
MaximumDecimal	Number (places to the right of decimal point)

Table: Look and Feel Settings for UserPreferences

Key	Value
DeskTopImageStyle	1: for CENTER radio button 3: for TILED radio button 4: for STRETCHED radio button 5: for TOPLEFT radio button
UseCubeNavigator	0 to clear or 1 to select checkbox
ReportTabs	0 to clear or 1 to select checkbox
MainMenu	0 to clear or 1 to select checkbox
MainToolbar	0 to clear or 1 to select checkbox
ToolbarTextLabels	0 to clear or 1 to select checkbox
FilterPanel	0 to clear or 1 to select checkbox
InformationPanel	0 to clear or 1 to select checkbox
StatusBar	0 to clear or 1 to select checkbox
MultipageDropDown	0 to clear or 1 to select checkbox

Table: Look and Feel Drill Settings for UserPreferences

Key	Value
Method	3: Next Level (default) 7: Descendants 9: Dim Bottom 4: Siblings 5: Same Level (children) 8: Same Generation See SetDimension
PassPagesLink	0 to clear or 1 to select checkbox
PassFiltersLink	0 to clear or 1 to select checkbox
Behavior	TRUE to select Append Member Selections or FALSE to select Replace Member Selections

Table : Look and Feel Spreadsheet Settings for UserPreferences

Key	Value
GridLines	0 to clear or 1 to select checkbox
Transparent	0 to clear or 1 to select checkbox
BackgroundImage	<path><filename>
Banding	0 to clear or 1 to select Row Banding
BandingColor	RGB for Row Banding
FreezeHeaders	0 to clear or 1 to select
RowTitles	0 to clear or 1 to select
RowHeaderAlignment	0: left 1: center 2: right 3: indent
RowGroupAlignment	0: center 1: top 2: bottom
HeaderBackgroundColor	RGB
DataAlignText	0: left 1: center 2: right
DataAlignValue	0: left 1: center 2: right
CellBackgroundColor	RGB
Table: Personal Variable Settings for UserPreferences

Key	Value
PersonalVariables	Text string defined below.
# of pvs	The number of Personal Variables (example: 1)
pvname	Personal Variable Name (example: MyDimension)
dbName	server:appname:cubename (example: ess65:Sample:Basic)
dimName	Dimension Name (example: Markets)
NumMems	Number of Members (example: 2)
[MemSelMode]	Selection mode integer for each member (see Member example)
[Members]	Member Names (example: 5;South;5;East)

Table: OLAP Server Settings for UserPreferences

Key	Value
MissingRows	0 to clear or 1 to select to display empty rows
SharedMembers	0 to clear or 1 to select to display shared members
ZeroRows	0 to clear or 1 to select to display zero rows
ShowLROIndicators	0 to clear or 1 to select to display Linked Reporting Object
Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


AliasTable

Syntax

setPropertyValueString("AliasTable", "databasename", "aliastablename")

Parameter

databasename: the name of the database connection – server:appname:cubename

aliastablename: the name of the alias table

Return Values

0-indicates success

-1-indicates failure

Description

The AliasTable property allows the user to set the alias table for a database connection.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


TreeView

Syntax

setPropertyValueString("TreeView")

Return Values

0 – indicates success

-1 - indicates failure

Description

The TreeView property value toggles the Hyperion Analyzer Tree View dialog is in Design Mode. run(Designer) must be toggled ON for tree view to display. For more information, see Designer.

Related Topics

Properties Overview

Hyperion Analyzer API Toolkit Overview

Methods Overview

Actions Overview

Return to Welcome


Administration Client API Toolkit Overview

The Administration Client API Toolkit is designed to provide the components and methodology needed to develop your own client interface into the Hyperion Analyzer repository for the administration of database connections, users, user groups, report groups, and other administrative fuctions.

Deliverables

Hyperion Analyzer Administration Client API Toolkit is provided as a part of the deliverables.

These deliverable files are compiled in a separate class.

API Parameters

Several API Parameters affect the operation of instantiated objects. Hyperion Analyzer utilizes a subset of the overall list of available API Parameters found on the Sun Java Website.

Behavior

The behavior of Administration Client API Toolkit objects is defined using admin methods, admin properties, and admin actions.

Error Handling

The Error Text property returns the actual text of the last error.

Methodology

See Methodology for important tips about using an API Toolkit provided by Hyperion Analyzer.

Hyperion Analyzer Administration Client API Toolkit conforms to the larger Hyperion® Analytic Data Model (ADM) specification

Related Topics

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview

Methodology

API Parameters

Platforms

Error Codes

Deliverables


Admin Methods Overview

Methods execute the work of Hyperion Analyzer Admin Client API Toolkit.

Syntax

The Admin Client API Toolkit methods contain the name of the property, the number of parameters, and the type of parameters that define the purpose of the method.  The method signature or syntax, which is written in Java, supports javascript as the primary interface constuctor.

Methods

Table:  Hyperion Analyzer API Toolkit Methods

Method	Description
getProperty()	Returns the string value of the specified property.
setProperty()	Sets the string value of the specified property.
run()	Executes the specified action using the provided parameters.
Related Topics

Property

setProperty

run()

Administration API Toolkit Overview

Methodology

API Parameters

Platforms

Error Codes

Deliverables


run()

Syntax

int run(String action, String parameter1, String parameter2, String parameter3, String parameter4);

Parameters

Action: A specified action.

Parameter1, parameter2, parameter3, and so on: parameters with which to execute the specified action.

Return Value

0 – indicates success

-1 - indicates failure

Description

The run() method executes the specified action using the provided parameters.  Use the ErrorText property to determine the nature of the failure.

Related Topics

Admin Methods Overview

getProperty()

setProperty()

Administration API Toolkit Overview


DeleteConnection

Syntax

run("DeleteConnection", "databaseconnectionname")

Parameter

databaseconnectionname: the name of the data source connection stored in the repository

Return Values

0 – indicates success

-1 - indicates failure

Description

The DeleteConnection action removes the data associated with the named database connection stored in the Hyperion Analyzer repository.

NOTE: Only the connection information is removed from the repository, the actual database is not.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


DeleteReportGroup

Syntax

run("DeleteReportGroup", "reportgroupname")

Parameter

Reportgroupname: the name of the report group

Return Values

0 – indicates success

-1 - indicates failure

Description

The DeleteReportGroup action deletes the named report group from the Hyperion Analyzer repository.

NOTE: The reports assigned to the report group are deleted also.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


DeleteUser

Syntax

run("DeleteUser", "username")

Parameter

Username: the name of the user

Return Values

0 – indicates success

-1 - indicates failure

Description

The DeleteUser action deletes the named user from the Hyperion Analyzer repository.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


DeleteUserGroup

Syntax

run("DeleteUserGroup", "usergroupname")

Parameter

Usergroupname: the name of the user group

Return Values

0 – indicates success

-1 - indicates failure

Description

The DeleteUserGroup action deletes the named user group from the Hyperion Analyzer repository.

NOTE: The users associated with the user group are not deleted.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


Export

Syntax

run("Export")

Parameter

None

Return Values

0 – indicates success

-1 - indicates failure

Description

The Export action loads the Save As dialog. This provides the means to save the Hyperion Analyzer repository data in XML format to one of three file formats:

.ARU Analyzer Repository file format (default)

.XML file format

.TXT file format

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


Import

Syntax

run("Import", "filename")

Parameter

filename: the name of the .aru, .xml, .txt file that contains the XML for the Analyzer repository

Return Values

0 – indicates success

-1 - indicates failure

Description

The Import action loads the Add dialog to import repository data in XML format into the repository. This can be imported in the following file formats:

.ARU Analyzer Repository file format (default)

.XML file format

.TXT file format

You must write import files using the document definition provided in the Hyperion Analyzer Administration Tools Client Help.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkReportGroupandUser

Syntax

run("LinkReportGroupandUsers", "reportgroupname", "username", "permissions")

Parameter

reportgroupname: the name of the report group

username: the name of a valid user

permissions: Read, Update, Delete, Creator

NOTE: Permission details are found in the Hyperion Analyzer Administration Tools Client Help.

Return Values

0 – indicates success

-1 - indicates failure

Description

The LinkReportGroupandUsers action assigns a named report group to a named user.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkReportGroupandUserGroup

Syntax

run("LinkReportGroupandUserGroup", "reportgroupname", "usergroupname", "permissions")

Parameter

reportgroupname: the name of the report group

usergroupname: the name of the user group

permissions: Read, Update, Delete, Creator

Return Values

0 – indicates success

-1 - indicates failure

Description

The LinkReportGroupandUserGroup action assigns a named report group to a named user group.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserandRole

Syntax

run("LinkUserandRole", "username", "rolename")

Parameter

username: the username of a valid user

rolename: one of four valid roles: Administrator, Information Consumer, Interactive User, Power User

Return Values

0 – indicates success

-1 - indicates failure

Description

The LinkUserandRole action assigns a named user to a specific role. A user can be assigned to more than one role by adding additional "rolename" properties.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserGroupandRole

Syntax

run("LinkUserGroupandRole", "usergroupname", "rolename")

Parameter

usergroupname: the name of a user group

rolename: one of four valid roles: Administrator, Information Consumer, Interactive User, Power User

Return Values

0 – indicates success

-1 - indicates failure

Description

The LinkUserGroupandRole action assigns a role to a named user group. A user group can be assigned to more than one role by adding additional "rolename" properties.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserGroupandUser

Syntax

run("LinkUserGroupandUser", "usergroupname", "username")

Parameter

usergroupname: the name of a user group

username: the username of a valid user

Return Values

0 – indicates success

-1 - indicates failure

Description

The LinkUserGroupandUser action assigns a named user to an existing user group. A user can be assigned to more than one user group by adding additional "usergroupname" properties.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


Login

Syntax

run("Login")

run("Login", string userid, string password)

Return Value

Establishes a session with the Hyperion Analyzer Analysis Server

Description

run("Login")

The Login action establishes a session with the Hyperion Analyzer Analysis Server.  The Login action launches the Login dialog box, prompting the user for a valid user ID and password.

run("Login", string userid, string password)

When used with the userid and password parameters, the Login action establishes a session with the Hyperion Analyzer Analysis Server.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


Logout

Syntax

run("Logout")

Parameters

None

Return Value

0 – indicates success

-1 - indicates failure

Description

The Logout action terminates both the current session and the connection with the Hyperion Analyzer Analysis Server.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


NewConnection

Syntax

run("NewConnection", "server:application:database", "username", "password")

Parameter

server:application:database: the Essbase data source connection data

username: valid system user

password: valid system user password

Return Values

0 – indicates success

-1 - indicates failure

Description

The NewConnection action creates a new Essbase database connection based on the provided valid parameters and stores the connection information in the Hyperion Analyzer repository.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


NewReportGroup

Syntax

run("NewReportGroup", "reportgroupname")

Parameter

reportgroupname: the name of a report group

Return Values

0 – indicates success

-1 - indicates failure

Description

The NewReportGroup action creates the new report group in the Hyperion Analyzer repository.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


NewUser

Syntax

run("NewUser", "username", "password")

Parameter

username: a valid name for a user

password: a valid password for a user

Return Values

0 – indicates success

-1 - indicates failure

Description

The NewUser action creates a user in the Hyperion Analyzer repository.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


NewUserGroup

Syntax

run("NewUserGroup", "usergroupname")

Parameter

usergroupname: name of user group

Return Values

0 – indicates success

-1 - indicates failure

Description

The NewUserGroup action creates a user group in the Hyperion Analyzer repository.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


SystemSettings

Syntax

run("SystemSettings")

Parameter

None

Return Values

0 – indicates success

-1 - indicates failure

Description

The SystemSetting action loads the System Settings dialog, which Administrators use to set Hyperion Analyzer Administration Tools properties, such as Authentication properties.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


UnlinkReportGroupandUser

Syntax

run("UnlinkReportGroupandUser", "reportgroupname", "username")

Parameter

reportgroupname: the name of the report group

username: the name of a valid user

Return Values

0 – indicates success

-1 - indicates failure

Description

The UnlinkReportGroupandUser action removes the user assignment between the report group and the user.

NOTE: The user is not removed from the Hyperion Analyzer repository.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


UnlinkReportGroupandUserGroup

Syntax

run("UnlinkReportGroupandUserGroup", "reportgroupname", "usergroupname")

Parameter

reportgroupname: the name of the report group

usergroupname: the name of the user group

Return Values

0 – indicates success

-1 - indicates failure

Description

The UnlinkReportGroupandUserGroup action removes the assignment of the user group to the report group.

NOTE: The user group is not removed from the Hyperion Analyzer repository.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


UnlinkUserandRole

Syntax

run("UnlinkUserandRole", "username", "rolename")

Parameter

username: the username of a valid user

rolename: one of four valid roles: Administrator, Information Consumer, Interactive User, Power User

Return Values

0 – indicates success

-1 - indicates failure

Description

The UnlinkUserandRole action removes the user assignment to the role.

NOTE: The user is not removed from the Hyperion Analyzer repository.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


UnlinkUserGroupandRole

Syntax

run("UnlinkUserGroupandRole", "usergroupname", "rolename")

Parameter

usergroupname: the username of a valid user

rolename: one of four valid roles: Administrator, Information Consumer, Interactive User, Power User

Return Values

0 – indicates success

-1 - indicates failure

Description

The UnlinkUserGroupandRole action removes the user group assignment to the role.

NOTE: The user group is not removed from the Hyperion Analyzer repository.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


UnlinkUserGroupandUser

Syntax

run("UnlinkUserGroupandUser", "usergroupname", "username")

Parameter

usergroupname: the name of a user group

username: the username of a valid user

Return Values

0 – indicates success

-1 - indicates failure

Description

The UnlinkUserGroupandUser action removes the user from the assigned user group.

NOTE: The user is not removed from the Hyperion Analyzer repository.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


UserPreferences

Syntax

run("UserPreferences", "username")

Parameter

username: the username of a valid user

Return Values

0 – indicates success

-1 - indicates failure

Description

The UserPreferences action loads the User Preferences dialog that displays the user preferences of the named user.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


BuildVersion

Syntax

getProperty("BuildVersion")

Parameter

Return Values

For success, the version number of the Hyperion Analyzer application

-1 – for failure

Description

The BuildVersion property returns the Hyperion Analyzer version number.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


Database

Syntax

getProperty("Database", "databaseIndex")

Parameter

databaseIndex: the index of the database connection

Return Values

For success, the name of the database connection

-1 – for failure

Description

The Database property returns the name of the database connection as it is stored in the Hyperion Analyzer repository by the database index number.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


DatabaseCount

Syntax

getProperty("DatabaseCount")

Parameter

none

Return Values

For success, the value of the number of databases

-1 – for failure

Description

The DatabaseCount property is the number of database connections stored in the Hyperion Analyzer repository.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


ErrorText

Syntax

getProperty("ErrorText")

Parameter

none

Return Values

For success, the text of the last error that occurred

-1 – for failure

Description

The ErrorText property returns the error text of the last error that occurred.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkReportGroupandUser

Syntax

getProperty("LinkReportGroupandUser", "reportgroupname", "assignmentindex")

Parameter

reportgroupname: the name of a report group

assignmentindex: the index number associated with a user

Return Values

For success, the name of the user at the named index

-1 – for failure

Description

The LinkReportGroupandUser returns the username at the specified index in the list of users assigned to the user group.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkReportGroupandUserCount

Syntax

getProperty("LinkReportGroupandUserCount", "reportgroupname")

Parameter

reportgroupname: the name of the report group

Return Values

For success, the number of users in the report group

-1 – for failure

Description

The LinkReportGroupandUserCount returns the number of users assigned to the specified report group.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkReportGroupandUserGroup

Syntax

getProperty("LinkReportGroupandUserGroup", "reportgroupname", "assignmentindex")

Parameters

reportgroupname: the name of the report group

assignmentindex: the index number associated with a user group

Return Values

For success, the name of the user group at the specified index

-1 – for failure

Description

The LinkReportGroupandUserGroup property returns the user group name at the specified index in the list of user groups assigned to the report group.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkReportGroupandUserGroupCount

Syntax

getProperty("LinkReportGroupandUserGroupCount", "reportgroupname")

Parameters

reportgroupname: the name of the report group

Return Values

For success, the number of user groups in the report group

-1 – for failure

Description

The LinkReportGroupandUserGroupCount property returns the number of user groups assigned to the specified report group.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkRoleandUser

Syntax

getProperty("LinkRoleandUser", "rolename", "assignmentindex")

Parameters

rolename: the name of a role

assignmentindex: the index number associated with a role

Return Values

For success, the name of the user at the specified index

-1 – for failure

Description

The LinkRoleandUser property returns the user name at the specified index in the list of users assigned to the role.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkRoleandUserCount

Syntax

getProperty("LinkRoleandUserCount", "rolename")

Parameters

rolename: the name of a role

Return Values

For success, the total number of users assigned to the role

-1 – for failure

Description

The LinkRoleandUserCount property returns the number of users assigned to the specified role.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkRoleandUserGroup

Syntax

getProperty("LinkRoleandUserGroup", "rolename", "assignmentindex")

Parameters

rolename: the name of a role

assignmentindex: the index number associated with a user group

Return Values

For success, the name of the user group at the specified index

-1 – for failure

Description

The LinkRoleandUserGroup property returns the user group name at the specified index in the list of user groups assigned to the role.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkRoleandUserGroupCount

Syntax

getProperty("LinkRoleandUserGroupCount", "rolename")

Parameters

rolename: the name of a role

Return Values

For success, the number of user groups assigned to the role

-1 – for failure

Description

The LinkRoleandUserGroupCount property returns the number of user groups assigned to the specified role.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserandDatabase

Syntax

getProperty("LinkUserandDatabase", "username", "assignmentindex")

Parameters

username: a valid username

assignmentindex: the index number associated with a database connection

Return Values

For success, the name of the database connection at the specified index

-1 – for failure

Description

The LinkUserandDatabase property returns the name of the database connection connection name at the specified index in the list of database connections assigned to the user.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserandDatabaseCount

Syntax

getProperty("LinkUserandDatabaseCount", "username")

Parameters

username: the username of a valid user

Return Values

For success, the number of database connections assigned to the user

-1 – for failure

Description

The LinkUserandDatabaseCount property returns the number of database connections assigned to the specified user.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserandReportGroup

Syntax

getProperty("LinkUserandReportGroup", "username", "assignmentindex")

Parameters

username: a valid username

assignmentindex: the index number associated with a report group

Return Values

For success, the name of the report group at the specified index

-1 – for failure

Description

The LinkUserandReportGroup property returns the report group name at the specified index in the list of report groups assigned to the user.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserandReportGroupCount

Syntax

getProperty("LinkUserandReportGroupCount", "username")

Parameters

username: a valid username

Return Values

For Success, the number of report groups assigned to the user group

-1 – for failure

Description

The LinkUserandReportGroupCount property returns the number of report groups assigned to the specified user group

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserandRole

Syntax

getProperty("LinkUserandRole", "username", "assignmentindex")

Parameters

username: a valid username

assignmentindex: the index number associated with a role

Return Values

For success, the role name in the list of roles assigned to the user

-1 – for failure

Description

The LinkUserandRole property returns the role name in the list of roles assigned to the user.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserandRoleCount

Syntax

getProperty("LinkUserandRoleCount", "username")

Parameters

username: a valid username

Return Values

For success,  the total number of roles

-1 – for failure

Description

The LinkUserandRoleCount property returns the number of roles assigned to the specified user.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserandUserGroup

Syntax

getProperty("LinkUserandUserGroup", "username", "assignmentindex")

Parameters

username: a valid username

assignmentindex: the index number associated with a user group

Return Values

For success, the name of the user group at the specified index

-1 – for failure

Description

The LinkUserandUserGroup property returns the user group name at the specified index in the list of user groups assigned to the user.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserandUserGroupCount

Syntax

getProperty("LinkUserandUserGroupCount", "username")

Parameters

username: a valid username

Return Values

For success, the total number of user groups

-1 – for failure

Description

The LinkUserandUserGroupCount property returns the number of user groups assigned to the user.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserGroupandDatabase

Syntax

getProperty("LinkUserGroupandDatabase", "usergroupname", "assignmentindex")

Parameters

usergroupname: the name of a user group

assignmentindex: the index number associated with a database connection

Return Values

For success, the name of the database connection at the specified index

-1 – for failure

Description

The LinkUserGroupandDatabase property returns the database connection name at the specified index in the list of database connections assigned to the user group.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserGroupandDatabaseCount

Syntax

getProperty("LinkUserGroupandDatabaseCount", "usergroupname")

Parameters

usergroupname: the name of a user group

Return Values

For success, the number of database connections assigned to the user

-1 – for failure

Description

The LinkUserGroupandDatabaseCount property returns the number of database connections to which the specified report group is assigned.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserGroupandReportGroup

Syntax

getProperty("LinkUserGroupandReportGroup", "usergroupname", "assignmentindex")

Parameters

usergroupname: the name of a user group

assignmentindex: the index number associated with a report group

Return Values

For success, the name of the report group at the specified index

-1 – for failure

Description

The LinkUserGroupandReportGroup property returns the report group name at the specified index in the list of report groups assigned to the user group.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserGroupandReportGroupCount

Syntax

getProperty("LinkUserGroupandReportGroupCount", "usergroupname")

Parameters

usergroupname: the name of a user group

Return Values

For success, the value for the total number of report groups

-1 – for failure

Description

The LinkUserGroupandReportGroupCount property returns the number of report groups assigned to the specified user group.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserGroupandRole

Syntax

getProperty("LinkUserGroupandRole", "usergroupname", "assignmentindex")

Parameters

usergroupname: the name of a user group

assignmentindex: the index number associated with a role

Return Values

For success, the name of the role at the specified index

-1 – for failure

Description

The LinkUserGroupandRole property returns the role name at the specified index in the list of roles assigned to the user group.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserGroupandRoleCount

Syntax

getProperty("LinkUserGroupandRoleCount", "usergroupname")

Parameters

usergroupname: the name of a user group

Return Values

For success, the number of roles assigned to the usergroup

-1 – for failure

Description

The LinkUserGroupandRoleCount property returns the number of roles assigned to the user group.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserGroupandUser

Syntax

getProperty("LinkUserGroupandUser", "usergroupname", "assignmentindex")

Parameters

usergroupname: the name of a user group

assignmentindex: the index number associated with a user

Return Values

For success, the name of the user at the specified index

-1 – for failure

Description

The LinkUserGroupandUser property returns the user name at the specified index in the list of users assigned to the user group.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LinkUserGroupandUserCount

Syntax

getProperty("LinkUserGroupandUserCount", "usergroupname")

Parameters

usergroupname: the name of a user group

Return Values

For success, he number of users assigned to the user group

-1 – for failure

Description

The LinkUserGroupandUserCount property returns the number of users assigned to the specified user group.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LoggedIn

Syntax

getProperty("LoggedIn")

Parameters

None

Return Values

1 indicates a valid session

0 indicates the absence of a valid session

-1 – for failure

Description

The LoggedIn property is used to verify that there is a user logged into Hyperion Analyzer. This checks to ensure there is a user logged into a session before using the LoginName property to determine the user’s name.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


LoginName

Syntax

getProperty("LoginName")

Parameters

None

Return Values

The name of the user

-1 – for failure

Description

The LoginName property is used to get the name of the user who is logged into Hyperion Analyzer.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


Parameter

Syntax

getProperty("Parameter", "parameterName", "defaultValue")

setProperty("Parameter", "parameterName", "value")

Parameters

parameterName:  the string value specifying the API parameter name.

defaultValue:  the string to return if the parameter does not have a value.

value:  the string value to which the specified parameter is set.

Return Value

The getProperty returns:

For success, the string value of any specified API parameter

-1 – for failure

The setProperty returns:

0 – for success

-1 – for failure

Description

The Parameter property returns the string value associated with the specified API parameter. (Not if any. It always returns a string.)

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


getProperty

getProperty("Property", "propertyname", "CurrentDbConnName")

getProperty("Property", "propertyname", "CurrentDbConnId")

getProperty("Property", "propertyname", "CurrentDbConnType")

getProperty("Property", "propertyname", "CurrentDbConnRange")

Parameter

CurrentDbConnName: the connection name

CurrentDbConnId: the connection ID

CurrentDbConnType: the connection type

CurrentDbConnRange: the connection range

Return Values

The following return values indicates success:

[Name, Id, Type, Info, Range] indicates success for the CurrentDbConnName parameter

integer ID indicates success for the CurrentDbConnId parameter

essbase, hfm, relational indicates success for the CurrentDbConnType parameter

global, personal indicates success for the CurrentDbConnRange parameter

-1 – indicates failure

Description

getProperty("Property", "CurrentDbConnName") - returns connection name

getProperty("Property", "CurrentDbConnId") - returns an integer ID from the repository

getProperty("Property", "CurrentDbConnType") - returns essbase, hfm, or relational

getProperty("Property", "CurrentDbConnRange") - returns global or personal

The getProperty() method returns the string value of the specified property using the provided parameters.  Use the ErrorText property to determine whether the string value is in fact zero (0).

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


ReportGroup

Syntax

getProperty("ReportGroup", "assignmentindex")

Parameters

assignmentindex: the index number associated with a report group

Return Values

For success, the name of the report group at the specified index

-1 – indicates failure

Description

The ReportGroup property returns the name of the specified report group.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


ReportGroupCount

Syntax

getProperty("ReportGroupCount")

Parameters

None

Return Values

For success, the number of report groups

-1 – indicates failure

Description

The ReportGroupCount property returns the number of report groups stored in the Hyperion Analyzer repository.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


ReportGroupProperties

Syntax

getProperty("ReportGroupProperties", "reportgroupname", "propertyname")

setProperty("ReportGroupProperties", "reportgroupname", "propertyname", "propertyvalue")

Parameters

reportgroupname: the name of the report group

propertyname: name of the report group property

propertyvalue: the value of the report group property to set

Return Values

The getReportGroupProperty property returns:

0 - indicates unchecked

1 – indicates checked

-1 – indicates failure

The setReportGroupProperty property returns:

0 – indicates success

-1 - indicates failure

Description

The getReportGroupProperty property is used to indicate whether or not the ShowOnDesktop option is either checked (TRUE) or unchecked (FALSE) to display the report group on the desktop.

The setReportGroupProperty property sets the value for the identified report group and the specified property. The following table lists the available values for the report group properties.

Table:  Report Group Property Arguments

PropertyName	PropertyValue
ShowOnDesktop	TRUE or FALSE
Image	Absolute path and filename of the image
Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


Role

Syntax

getProperty("Role", "assignmentindex")

Parameters

assignmentindex: the index number associated with a role

Return Values

For success, the name of the role at the specified index

-1 – indicates failure

Description

The Role property returns the name of the specified role. The role names are limited to the following:

0 – Administrator

1 – Information Consumer

2 – Interactive User

3 – Power User

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


RoleCount

Syntax

getProperty("RoleCount")

Parameters

None

Return Values

For success, the value for the total number of roles

-1 – indicates failure

Description

The RoleCount property returns the number of roles stored in the Hyperion Analyzer repository. In this case, it returns the value of 4 because there are four fixed role names.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


User

Syntax

getProperty("User", "userIndex")

Parameters

userIndex: the numeric value assigned to a user

Return Values

For success, the name of the user at the specified index

-1 – indicates failure

Description

The User property returns the name of the specified user.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


UserCount

Syntax

getProperty("UserCount")

Parameters

None

Return Values

For Success, the value for the total number of users

-1 – indicates failure

Description

The UserCount property returns the number of users stored in the Hyperion Analyzer repository.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


UserGroup

Syntax

getProperty("UserGroup", "assignmentindex")

Parameters

assignmentindex: the index number associated with a user group

Return Values

For success, the name of the user group at the specified index

-1 – indicates failure

Description

The Role property returns the name of the specified user group.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


UserGroupCount

Syntax

getProperty("UserGroupCount")

Parameters

None

Return Values

For success, the value for the total number of user groups

-1 – indicates failure

Description

The UserGroupCount property returns the number of user groups stored in the Hyperion Analyzer repository.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


UserProperties

Syntax

getProperty("UserProperties", "username", "propertyname")

setProperty("UserProperties ", "username", "propertyname", "propertyvalue")

Parameters

username: a valid username

propertyname: a valid propertyname

propertyvalue: a valid value

Return Values

The getProperty returns:

For success, the value of the specified property

-1 – indicates failure

The setProperty returns:

0 – indicates success

-1 – indicates failure

Description

The getUserProperties property returns the specified property for the identified user.

The setUserProperties property modifies the named property of the user to the specified property value. For example:

Example

The property name of "changepassword" can be set to the following values:

0 - unchecked, to not enforce the user to change their password the next time they login.

1 - checked, to ensure the user is required to change their password the next time they login to Hyperion Analyzer.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


DatabaseProperty

Syntax

setProperty("DatabaseProperty", "databasename", "propertyname", "propertyvalue")

Parameters

databasename: current database

propertyname: an existing connection

propertyvalue: an existing database string consisting of server:application:database

Return Values

0 – indicates success

-1 - indicates failure

Description

The DatabaseProperty property sets database connection properties from one existing Hyperion Essbase database connection to another valid connection.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


UserSetting

Syntax

setProperty("UserSetting", "username", "keyname", "value")

Parameters

username: a valid username

keyname:a valid user setting property

value: the assigned value of the specified property

Return Values

Description

The UserSetting property sets the specified property of an existing user’s preferences based on the value of the key.  The following tables provide a list of valid keys and their value. These can be set by the user in the Hyperion Analyzer API, for more information see UserPreferences.

Table: General Settings for UserPreferences

Key	Value
Homepage	desktop or reportgroupName:reportName
StartUpOption	NONE HOME reportgroup:reportname

Table: Default Formatting Settings for UserPreferences

Key	Value
Multiplier	Double or decimal number
ReplaceWithText	1 selects Text (default) or 0 selects Zeros
ReplaceText	Text string (example: n/a)
NegativeFormatting	0 to clear or 1 to select
NegativeColor	RGB (example: 255,0,0 for red)
PositivePrefix	Text to represent positive prefix (example: +)
PositiveSuffix	Text to represent positive suffix (example: +)
NegativePrefix	Text to represent negative prefix (example: -)
NegativeSuffix	Text to represent negative prefix (example: -)
GroupedThousands	0 to clear or 1 to select
MinimumDecimal	Number (places to the right of decimal point)
MaximumDecimal	Number (places to the right of decimal point)

Table: Look and Feel Settings for UserPreferences

Key	Value
DeskTopImageStyle	1: for CENTER 3: for TILED 4: for STRETCHED 5: for TOPLEFT
UseCubeNavigator	0 to clear or 1 to select
ReportTabs	0 to clear or 1 to select
MainMenu	0 to clear or 1 to select
MainToolbar	0 to clear or 1 to select
ToolbarTextLabels	0 to clear or 1 to select
FilterPanel	0 to clear or 1 to select
InformationPanel	0 to clear or 1 to select
StatusBar	0 to clear or 1 to select
MultipageDropDown	0 to clear or 1 to select

Table: Look and Feel Drill Settings for UserPreferences

Key	Value
Method	3: Next Level (default) 7: Descendants 9: Dim Bottom 4: Siblings 5: Same Level (children) 8: Same Generation See SetDimension
PassPagesLink	0 to clear or 1 to select
PassFiltersLink	0 to clear or 1 to select
Behavior	TRUE to select Append Member Selections or FALSE to select Replace Member Selections

Table : Look and Feel Spreadsheet Settings for UserPreferences

Key	Value
GridLines	0 to clear or 1 to select
Transparent	0 to clear or 1 to select
BackgroundImage	<path><filename>
Banding	0 to clear or 1 to select Row Banding
BandingColor	RGB for Row Banding
FreezeHeaders	0 to clear or 1 to select
RowTitles	0 to clear or 1 to select
RowHeaderAlignment	0: left 1: center 2: right 3: indent
RowGroupAlignment	0: center 1: top 2: bottom
HeaderBackgroundColor	RGB
DataAlignText	0: left 1: center 2: right
DataAlignValue	0: left 1: center 2: right
CellBackgroundColor	RGB
Table: Personal Variable Settings for UserPreferences

Key	Value
PersonalVariables	Text string defined below.
# of pvs	The number of Personal Variables (example: 1)
pvname	Personal Variable Name (example: MyDimension)
dbName	server:appname:cubename (example: ess65:Sample:Basic)
dimName	Dimension Name (example: Markets)
NumMems	Number of Members (example: 2)
[MemSelMode]	Selection mode integer for each member (see Member example)
[Members]	Member Names (example: 5;South;5;East)

Table: OLAP Server Settings for UserPreferences

Key	Value
MissingRows	0 to clear or 1 to select to display empty rows
SharedMembers	0 to clear or 1 to select to display shared members
ZeroRows	0 to clear or 1 to select to display zero rows
ShowLROIndicators	0 to clear or 1 to select to display Linked Reporting Object
Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview


setProperty

Syntax

setProperty (String PropertyName, String value1, String value2, String value3, String value4);

Parameters

PropertyName:  a specified property.

Value1, value2, and so on: values to which the specified property will be set.

Return Value

0 – indicates success

-1 - indicates failure

Description

The setProperty() method sets the specified property to the values indicated by the value1, value2, and value3 parameters.  Use the ErrorText property to determine the nature of the failure.

Related Topics

Admin Methods Overview

getProperty()

run()

Administration API Toolkit Overview


Admin Actions Overview

Actions are tasks executed using the run() method.

Return Value

0 – indicates success

-1 - for a failure.  Use ErrorText properties to determine the nature of the failure.

Actions

Table:  Hyperion Analyzer API Toolkit Actions

Action	Description
DeleteConnection	Removes the data associated with the named database connection stored in the Hyperion Analyzer repository.
DeleteReportGroup	Deletes the named report group from the Hyperion Analyzer repository.
DeleteUser	Deletes the named user from the Hyperion Analyzer repository.
DeleteUserGroup	Deletes the named user group from the Hyperion Analyzer repository.
Export	Loads the Save As dialog to save the Hyperion Analyzer repository data in XML format.
Import	Loads the Add dialog to import repository data in XML format into the repository.
LinkReportGroupandUser	Assigns a named report group to a named user.
LinkReportGroupandUserGroup	Assigns a named report group to a named user group.
LinkUserandRole	Assigns a named user to a specific role.
LinkUserGroupandRole	Assigns a role to a named user group.
LinkUserGroupandUser	Assigns a named user to an existing user group.
Login	Establishes a session with the Hyperion Analyzer Analysis Server.
Logout	Terminates a session with the Hyperion Analyzer Analysis Server
NewConnection	Creates a new Hyperion Essbase database connection in the Hyperion Analyzer repository.
NewReportGroup	Creates the new report group in the Hyperion Analyzer repository.
NewUser	Creates a user in the Hyperion Analyzer repository.
NewUserGroup	Creates a user group in the Hyperion Analyzer repository.
SystemSettings	Displays the system settings dialog that contains information about the computer on which Hyperion Analyzer is installed.
UnlinkReportGroupandUser	Removes the user assignment to the report group.
UnlinkReportGroupandUserGroup	Removes the assignment of the user group to the report group.
UnlinkUserandRole	Removes the user assignment to the role.
UnlinkUserGroupandRole	Removes the user group assignment to the role.
UnlinkUserGroupandUser	Removes the user from the assigned user group.
UserPreferences	Loads the User Preferences dialog that displays the user preferences of the named user.
Related Topics

Administration Client API Toolkit Overview

Admin Methods Overview

Admin Properties Overview

Methodology

API Parameters

Platforms

Error Codes

Deliverables


Admin Properties Overview

Administration Client API Toolkit properties can be set and reviewed using Administration Client API Toolkit methods.

Key considerations:

•	Administration Client API Toolkit properties are different from Client API parameters.

•	Some properties are read-only.

•	A string can represent all properties.

•	Pay attention to get and set variations.

Hyperion Analyzer Administration Client API Toolkit properties are in the following alphanumeric list:

BuildVersion

Database

DatabaseCount

ErrorText

LinkReportGroupandUser

LinkReportGroupandUserCount

LinkReportGroupandUserGroup

LinkReportGroupandUserGroupCount

LinkRoleandUser

LinkRoleandUserCount

LinkRoleandUserGroup

LinkRoleandUserGroupCount

LinkUserandDatabase

LinkUserandDatabaseCount

LinkUserandReportGroup

LinkUserandReportGroupCount

LinkUserandRole

LinkUserandRoleCount

LinkUserandUserGroup

LinkUserandUserGroupCount

LinkUserGroupandDatabase

LinkUserGroupandDatabaseCount

LinkUserGroupandReportGroup

LinkUserGroupandReportGroupCount

LinkUserGroupandRole

LinkUserGroupandRoleCount

LinkUserGroupandUser

LinkUserGroupandUserCount

LoggedIn

LoginName

Parameter

Property

ReportGroup

ReportGroupCount

ReportGroupProperties

Role

RoleCount

User

UserCount

UserProperties

DatabaseProperty

UserSetting

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Methodology

API Parameters

Platforms

Error Codes

Deliverables


Admin Class

The analyzerclient.jar client-side deliverable contains the APIAdminClient class.

These file names are the archive parameter string value and code parameter string value respectively.

Related Topics

Administration Client API Toolkit Overview

Admin Actions Overview

Admin Methods Overview

Admin Properties Overview